<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class UpdateBalance implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public $balance;
    public $userid;

    public function __construct($balance,$userid)
    {
        $this->balance = $balance;        
        $this->userid = $userid;        
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        return new Channel("wallet-{$this->userid}-active-channel");
    }

    public function broadcastAs()
    {
        return "wallet-{$this->userid}-active-event";
    }

    public function broadcastWith()
    {
        return [
            'wallet' => $this->balance,
        ];
    }
    
}
