<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;


class UserBattingOff implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public $status;
    public $userid;

    public function __construct($status,$userid)
    {
        $this->status = $status;        
        $this->userid = $userid;        
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    
    public function broadcastOn()
    {
        return new Channel("user-{$this->userid}-logic-channel");
    }

    public function broadcastAs()
    {
        return "user-{$this->userid}-logic-event";
    }

    public function broadcastWith()
    {
        return [
            'logic' => $this->status,
        ];
    }

    
}
