<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Games;
use App\Models\User;
use App\Models\GameRates;
use App\Models\TransactionHistory;
use App\Models\GameType;
use App\Models\DeclareResult;
use App\Models\UserBid;
use App\Models\SingleDigit;
use App\Models\JodiDigit;
use App\Models\SinglePana;
use App\Models\DoublePana;
use App\Models\TriplePana;
use App\Models\HalfSangam;
use App\Models\FullSangam;
use App\Models\StarlineGames;
use App\Models\StarlineGameRates;
use App\Models\StarlineUserBid;
use Yajra\DataTables\DataTables;
use DB;

class BidController extends Controller
{
    public function winingPrediction(Request $request)
    {

        $pana = FullSangam::where('type', '=', 'open')->get();
        $game = Games::where('games.status', '=', 'active')->get();
        $gameList = array();
        foreach ($game as $key => $value) {
            $market_time = json_decode($value->market_time, true);
            array_push($gameList, array(
                'id' => $value->id,
                "game_name" => $value->game_name,
                "game_name_hindi" => $value->game_name_hindi,
                "open_time" => date('h:i A', strtotime($market_time[date('l')]['open_time'])),
                "close_time" => date('h:i A', strtotime($market_time[date('l')]['close_time']))
            ));


        }
        return view('winingPrediction.winingPrediction', compact('gameList', 'pana'));

    }

    public function getPredictWinner(Request $request)
    {

        $rate = GameRates::first();
        $game_id = $request->win_game_name;
        $session = ($request->win_market_status == '1') ? 'open' : 'close';
        $date = date('Y-m-d', strtotime($request->result_date));
        $open_number = $request->winning_ank;
        $open_digit = $this->sum($open_number);

        $close_number = $request->close_number;
        $close_digit = $this->sum($close_number);
        $total_win = 0;
        $winUser = array();

        $singleData = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('game_type_id', '=', '1')->where('result_declare', '=', '0');
        if ($session == 'open') {
            $singleData->where('session', '=', $session);
        }
        $singleDigit = $singleData->get();
        //dd($singleDigit);
        foreach ($singleDigit as $key => $value) {

            if ($value->session == 'open') {

                if ($open_digit == $value->open_digit) {
                    $user = User::find($value->user_id);
                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            } else {

                if ($close_digit == $value->close_digit) {
                    $user = User::find($value->user_id);
                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            }
        }

        $panaData = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['3', '4', '5'])->where('result_declare', '=', '0');

        if ($session == 'open') {
            //$panaData->where('open_decleare_status','=','0');
            $panaData->where('session', '=', $session);
        }
        $pana = $panaData->get();

        foreach ($pana as $key => $value) {

            if ($value->session == 'open') {

                if ($open_number == $value->open_pana) {

                    $user = User::find($value->user_id);
                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;
                        $type = "Single Pana";

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                        $type = "Double Pana";
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                        $type = "Triple Pana";
                    }
                    $wnining_amount = $value->points * $panarate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => $type, "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }

            } else {
                if ($close_number == $value->close_pana) {

                    $user = User::find($value->user_id);
                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    }
                    $wnining_amount = $value->points * $panarate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            }
        }

        if ($session == 'close') {
            $jodiandsangam = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['2', '7', '6'])->where('result_declare', '=', '0')
                ->get();


            foreach ($jodiandsangam as $key => $value) {

                if ($value->game_type_id == '2') {

                    if ($value->open_digit == $open_digit && $value->close_digit == $close_number) {

                        $user = User::find($value->user_id);

                        $jodirate = $rate->jodi_digit_value_two / $rate->jodi_digit_value_one;
                        $wnining_amount = $value->points * $jodirate;
                        $total_win = $total_win + $wnining_amount;
                        array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Jodi Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                    }

                } else if ($value->game_type_id == '6') {

                    if ($value->session == 'open') {

                        if ($value->open_digit == $open_digit && $value->close_pana == $close_number) {

                            $user = User::find($value->user_id);

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $total_win = $total_win + $wnining_amount;
                            array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Half Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                        }

                    } else {

                        if ($value->close_digit == $close_digit && $value->open_pana == $open_number) {

                            $user = User::find($value->user_id);

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $total_win = $total_win + $wnining_amount;
                            array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Half Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                        }

                    }
                } else {

                    if ($value->open_pana == $open_number && $value->close_pana == $close_number) {


                        $user = User::find($value->user_id);

                        $fullrate = $rate->full_sangam_value_two / $rate->full_sangam_value_one;
                        $wnining_amount = $value->points * $fullrate;
                        $total_win = $total_win + $wnining_amount;
                        array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Full Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                    }

                }

            }

        }
        $data['winner_list'] = $winUser;
        $total_points = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date);
        if ($session == 'open') {

            $total_points->where('session', '=', $session);
        }
        $data['points_amt_sum'] = $total_points->sum('points');
        $data['win_amt_sum'] = $total_win;
        echo json_encode($data);

    }

    public function editBid($id)
    {

        $game = UserBid::find($id);
        $pana = [];
        if ($game->game_type_id == '1') {

            $digit = SingleDigit::select("number")->get();

        } else if ($game->game_type_id == '2') {

            $digit = JodiDigit::select("number")->get();

        } else if ($game->game_type_id == '3') {

            $digit = SinglePana::select("number")->get();

        } else if ($game->game_type_id == '4') {

            $digit = DoublePana::select("number")->get();

        } else if ($game->game_type_id == '5') {

            $digit = TriplePana::select("number")->get();

        } else if ($game->game_type_id == '6') {

            $digit = SingleDigit::select("number")->get();
            $pana = FullSangam::select("number")->where('type', 'open')->get();

        } else if ($game->game_type_id == '7') {

            $pana = FullSangam::select("number")->where('type', 'open')->get();
            $digit = [];
        }
        $view = \View::make('winingPrediction.editBid', compact('game', 'digit', 'pana'));
        $html = $view->render();
        return $html;
    }

    public function updateBid(Request $request)
    {

        $game = UserBid::find($request->bid_id);
        if ($game->game_type_id == '1') {

            if ($game->session == 'open') {
                $game->open_digit = $request->digit;
            } else {
                $game->close_digit = $request->digit;
            }

        } else if ($game->game_type_id == '2') {

            $jodi = str_split($request->digit);

            $game->open_digit = $jodi[0];
            $game->close_digit = $jodi[1];

        } else if ($game->game_type_id == '3' || $game->game_type_id == '4' || $game->game_type_id == '5') {

            if ($game->session == 'open') {
                $game->open_pana = $request->digit;
            } else {
                $game->close_pana = $request->digit;
            }

        } else if ($game->game_type_id == '6') {

            if ($game->session == 'open') {

                $game->open_digit = $request->digit;
                $game->close_pana = $request->pana;

            } else {
                $game->close_digit = $request->digit;
                $game->open_pana = $request->pana;
            }

        } else if ($game->game_type_id == '7') {
            $game->open_pana = $request->open_pana;
            $game->close_pana = $request->close_pana;
        }

        $game->save();

        return response()->json(['msg' => 'updated successfully!', 'status' => 'update']);
    }

    public function bidRevert(Request $request)
    {


        $game = Games::where('games.status', '=', 'active')->get();
        return view('wallet.bidRevert', compact('game'));
    }

    public function getBidRevert(Request $request)
    {


        $bid = UserBid::select(DB::raw('users_bid.*,users.username,game_type.type'))
            ->leftJoin('users', 'users_bid.user_id', '=', 'users.id')
            ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
            ->where('users_bid.game_id', '=', $request->win_game_name)
            ->where('users_bid.bid_date', '=', $request->bid_revert_date)
            ->orderBy('users_bid.id', 'desc')->get();
        $view = \View::make('wallet.revertPartial', compact('bid'));
        $html['status'] = 'success';
        $html['listData'] = $view->render();
        return $html;
    }

    public function refundAmount(Request $request)
    {

        $bid = UserBid::select(DB::raw('users_bid.*,game_type.type,games.game_name'))
            ->where('users_bid.game_id', '=', $request->win_game_name)
            ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
            ->leftJoin('games', 'users_bid.game_id', '=', 'games.id')
            ->where('users_bid.bid_date', '=', $request->bid_revert_date)->get();

        foreach ($bid as $key => $value) {

            $revertbid = UserBid::find($value->id);

            $fund = TransactionHistory::create([
                'admin_id' => 0,
                'user_id' => $revertbid->user_id,
                'amount' => $revertbid->points,
                'transaction_note' => 'Bid Amount is reverted for ' . $value->game_name . ' -' . $value->type,
                'transfer_note' => '',
                'type' => 'credit',
                'date' => date('Y-m-d H:i:s'),
                'tx_req_number' => random_int(100000, 999999),

            ]);
            $fund->save();

            $user = User::find($value->user_id);
            $user->available_balance = $user->available_balance + $revertbid->points;
            $user->save();
            broadcast(new UpdateBalance($user->available_balance,$user->id));
            $this->fcm('refresh', '', $user->device_token);
            $revertbid->delete();

        }
        return response()->json(['msg' => 'Bid Reverted successfully!', 'status' => 'success']);
    }

    public function starlineWiningPrediction(Request $request)
    {

        $pana = FullSangam::where('type', '=', 'open')->get();
        $game = StarlineGames::where('status', '=', 'active')->get();
        $gameList = array();
        foreach ($game as $key => $value) {
            //$market_time = json_decode($value->market_time, true);
            array_push($gameList, array(
                'id' => $value->id,
                "game_name" => $value->game_name,
                "game_name_hindi" => $value->game_name_hindi,
            ));


        }
        return view('starline.starlineWiningPrediction', compact('gameList', 'pana'));

    }

    public function starlineGetWiningPrediction(Request $request)
    {

        $rate = StarlineGameRates::first();
        $game_id = $request->win_game_name;
        $session = 'open';
        $date = date('Y-m-d', strtotime($request->result_date));
        $open_number = $request->winning_ank;
        $open_digit = $this->sum($open_number);


        $total_win = 0;
        $winUser = array();

        $singleData = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('game_type_id', '=', '1')->where('result_declare', '=', '0');

        $singleDigit = $singleData->get();
        //dd($singleDigit);
        foreach ($singleDigit as $key => $value) {

            if ($open_digit == $value->open_digit) {
                $user = User::find($value->user_id);
                $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                $wnining_amount = $value->points * $singlerate;
                $total_win = $total_win + $wnining_amount;
                array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
            }

        }

        $panaData = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['3', '4', '5'])->where('result_declare', '=', '0');


        $pana = $panaData->get();

        foreach ($pana as $key => $value) {

            if ($open_number == $value->open_pana) {

                $user = User::find($value->user_id);
                if ($value->game_type_id == '3') {
                    $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;
                    $type = "Single Pana";

                } else if ($value->game_type_id == '4') {
                    $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    $type = "Double Pana";
                } else {
                    $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    $type = "Triple Pana";
                }
                $wnining_amount = $value->points * $panarate;
                $total_win = $total_win + $wnining_amount;
                array_push($winUser, array("id" => $value->id, "user_id" => $value->user_id, 'user_name' => $user->username, "pana" => $type, "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
            }


        }
        $data['winner_list'] = $winUser;
        $total_points = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date);
        $data['points_amt_sum'] = $total_points->sum('points');
        $data['win_amt_sum'] = $total_win;
        echo json_encode($data);

    }

}
