<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Games;
use App\Models\User;
use App\Models\UserBid;
use App\Models\TransactionHistory;
use Yajra\DataTables\DataTables;
use DB;

class DashboardController extends Controller
{
    public function dashboard(Request $request)
    {
        //dd('ok');
        $gameList = Games::where('games.status', '=', 'active')->get();
        $total_user = User::where('role', '=', 'client')->count();
        $approve_user = User::where('betting', '=', 'yes')->where('role', '=', 'client')->count();
        $unapprove = User::where('betting', '=', 'no')->where('role', '=', 'client')->count();
        $game_count = Games::count();
        $bid_amount = UserBid::whereDate('bid_date', '=', date('Y-m-d'))->sum('points');
        return view('dashbaord.dashboard', compact('gameList', 'total_user', 'approve_user', 'unapprove', 'game_count', 'bid_amount'));
    }

    public function getMarketBid(Request $request)
    {


        $bid_amount = UserBid::whereDate('bid_date', '=', date('Y-m-d'));
        if ($request->game_name != 'all') {

            $bid_amount->where('game_id', '=', $request->game_name);
        }
        $bidamount = $bid_amount->sum('points');
        echo json_encode(array('status' => 'success', 'points' => $bidamount));
    }

    public function autoFundRequest(Request $request)
    {

        $users = TransactionHistory::select(DB::raw('transaction_history.*,users.username,users.id as user_id'))
            ->leftJoin('users', 'transaction_history.user_id', '=', 'users.id')->whereDate('transaction_history.date', '=', date('Y-m-d'))->where('transaction_history.auto_deposit', '=', '1')->where('transaction_history.status', '=', '2')->orderBy('transaction_history.id', 'desc')->get();
        return Datatables::of($users)
            ->addIndexColumn()
            ->editColumn('username', function ($row) {
                $link = '<a href="' . url('/') . '/admin/' . $row['user_id'] . '/userDetails" style="color:blue;">' . $row['username'] . '</a>';
                return $link;
            })
            ->addColumn('display_status', function ($row) {
                if ($row->status == '1') {
                    $status = '<a role="button" ><span class="badge badge-pill badge-success font-size-12">Accepted</span></a>';
                } else if ($row->status == '0') {
                    $status = '<a role="button" ><span class="badge badge-pill badge-danger font-size-12">Reject</span></a>';
                } else {
                    $status = '<a role="button" ><span class="badge badge-pill badge-primary font-size-12">Pending</span></a>';
                }
                return $status;
            })
            ->rawColumns(['#', 'display_status', 'username'])
            ->make(true);
    }

    public function getSearchMarketBid(Request $request)
    {
        $session = ($request->market_status == '1') ? 'open' : 'close';

        $data['total_zero'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '0')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_zero'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '0')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_one'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '1')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_one'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '1')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_two'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '2')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_two'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '2')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_three'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '3')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_three'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '3')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_four'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '4')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_four'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '4')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_five'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '5')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_five'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '5')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');


        $data['total_six'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '6')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_six'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '6')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_seven'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '7')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_seven'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '7')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_eight'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '8')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_eight'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '8')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        $data['total_nine'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '9')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->count();
        $data['bid_nine'] = UserBid::where(($session == '1') ? 'open_digit' : 'close_digit', '=', '9')->where('game_id', '=', $request->bid_game_name)->where('bid_date', '=', date('Y-m-d'))->where('session', '=', $session)->sum('points');

        echo json_encode(array('status' => 'success', 'data' => $data));
    }


}
