<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Games;
use App\Models\User;
use App\Models\GameRates;
use App\Models\TransactionHistory;
use App\Models\GameType;
use App\Models\DeclareResult;
use App\Models\UserBid;
use App\Models\FullSangam;
use App\Models\StarlineGames;
use App\Models\StarlineGameRates;
use App\Models\StarlineUserBid;
use App\Models\StarlineDeclareResult;
use Yajra\DataTables\DataTables;
use App\Events\UpdateBalance;
use DB;

class DeclareController extends Controller
{
    public function declareResult(Request $request)
    {

        $pana = FullSangam::where('type', '=', 'open')->get();
        $game = Games::where('games.status', '=', 'active')->get();
        $gameList = array();
        foreach ($game as $key => $value) {

            $declare = DeclareResult::where('declare_date', '=', date('Y-m-d'))->where('close_decleare_status', '=', '1')
                ->where('game_id', '=', $value->id)
                ->first();
            if (empty($declare)) {
                $market_time = json_decode($value->market_time, true);

                if ($market_time[date('l')]['market_open'] == '1') {

                    array_push($gameList, array(
                        'id' => $value->id,
                        "game_name" => $value->game_name,
                        "game_name_hindi" => $value->game_name_hindi,
                        "open_time" => date('h:i A', strtotime($market_time[date('l')]['open_time'])),
                        "close_time" => date('h:i A', strtotime($market_time[date('l')]['close_time']))
                    ));

                }
            }

        }
        /*$result = DeclareResult::select(DB::raw('declare_result.*,games.game_name'))->leftJoin('games', 'declare_result.game_id', '=', 'games.id')
            ->where('declare_result.declare_date', '=', date('Y-m-d'))
            ->get();

        $gameResult = [];
        foreach ($result as $key => $value)
        {
            $closeFiled = ($value->close_decleare_status == '1') ? '<span class="td_color_2">' . $value->close_result . '-' . $value->close_number . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="CloseDeleteResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->close_result . '-' . $value->close_number;
            array_push($gameResult, array(
                "sn" => $key + 1,
                "game_name" => $value->game_name,
                'result_date' => date('d M Y', strtotime($value->declare_date)) ,
                'open_date' => ($value->open_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->open_decleare_date)) ,
                'close_date' => ($value->close_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->close_decleare_date)) ,
                'open_result' => ($value->open_decleare_status == '1') ? '<span class="td_color_2">' . $value->open_number . '-' . $value->open_result . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="OpenDeleteResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->open_number . '-' . $value->open_result,
                'close_result' => ($value->close_number == '') ? '*-***' : $closeFiled,

            ));
        }*/
        //dd($gameList);
        return view('declareResult.declareResult', compact('gameList', 'pana'));
    }

    public function getDecleareGame(Request $request)
    {

        $declare = DeclareResult::where('declare_date', '=', $request->result_dec_date)
            ->where('game_id', '=', $request->game_id)
            ->first();
        if (empty($declare)) {

            $data = array(
                "game_id" => "",
                "open_number" => "",
                "close_number" => "",
                "decleare_status" => "",
                "open_result" => "",
                "close_result" => "",
                "open_decleare_status" => "",
                "id" => "",
                "status" => "success"
            );
        } else {
            $data = array(
                "game_id" => $declare->game_id,
                "open_number" => ($declare->open_number == null) ? '' : $declare->open_number,
                "close_number" => ($declare->close_number == null) ? '' : $declare->close_number,
                "open_result" => ($declare->open_result == null) ? '' : $declare->open_result,
                "close_result" => ($declare->close_result == null) ? '' : $declare->close_result,
                "open_decleare_status" => ($declare->open_number == null) ? "" : $declare->open_decleare_status,
                "close_decleare_status" => ($declare->close_number == null) ? "" : $declare->close_decleare_status,
                "id" => $declare->id,
                "status" => "success"
            );
        }

        echo json_encode($data);
    }

    public function getOpenData(Request $request)
    {

        $num = $request->open_number;
        $digit = $this->sum($num);
        echo json_encode(array(
            "open_result" => $digit,
            "status" => "success"
        ));
    }

    public function getCloseData(Request $request)
    {

        $num = $request->close_number;
        $digit = $this->sum($num);
        echo json_encode(array(
            "close_result" => $digit,
            "status" => "success"
        ));

    }

    public function saveOpenData(Request $request)
    {

        $open_number = $request->open_number;
        $game_id = $request->game_id;
        $id = $request->id;
        $result_dec_date = $request->result_dec_date;
        if ($id == '') {

            $result = DeclareResult::create([

                'game_id' => $game_id, 'open_number' => $open_number, 'open_result' => $this->sum($open_number),
                //'open_decleare_status' => '1',
                'declare_date' => date('Y-m-d'),]);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "open_result" => $result->open_result,
                'status' => 'success',
                "msg" => "<p class='alert alert-success'>Successfully inserted.</p>"
            ));
        } else {

            $result = DeclareResult::find($id);
            $result->open_number = $request->open_number;
            $result->open_result = $this->sum($open_number);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "open_result" => $result->open_result,
                'status' => 'success'
            ));
        }

    }

    public function saveCloseData(Request $request)
    {

        $getCloseData = DeclareResult::where('declare_date', '=', $request->result_dec_date)
            ->where('game_id', '=', $request->game_id)
            ->first();

        if (empty($getCloseData)) {

            echo json_encode(array(
                "close_result" => 0,
                'status' => 'fail',
                "msg" => "<p class='alert alert-danger'><strong>Error : </strong> Please Declare Open Result First</p>"
            ));
            exit;
        }

        $close_number = $request->close_number;
        $game_id = $request->game_id;
        $id = $request->id;
        $result_dec_date = $request->result_dec_date;
        if ($id == '') {

            $result = DeclareResult::create([

                'game_id' => $game_id, 'close_number' => $close_number, 'close_result' => $this->sum($close_number),
                //'close_decleare_status' => '1',
                'declare_date' => date('Y-m-d'),]);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "close_result" => $result->close_result,
                'status' => 'success',
                "msg" => "<p class='alert alert-success'>Successfully inserted.</p>"
            ));
        } else {

            $result = DeclareResult::find($id);
            $result->close_number = $request->close_number;
            $result->close_result = $this->sum($close_number);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "close_result" => $result->close_result,
                'status' => 'success'
            ));
        }

    }

    public function resultHistoryList(Request $request)
    {

        $result = DeclareResult::select(DB::raw('declare_result.*,games.game_name'))->leftJoin('games', 'declare_result.game_id', '=', 'games.id')
            ->where('declare_result.declare_date', '=', $request->date)
            ->get();

        $gameResult = [];
        foreach ($result as $key => $value) {
            $closeFiled = ($value->close_decleare_status == '1') ? '<span class="td_color_2">' . $value->close_result . '-' . $value->close_number . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="closeDeleteResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->close_result . '-' . $value->close_number;
            array_push($gameResult, array(
                "sn" => $key + 1,
                "game_name" => $value->game_name,
                'result_date' => date('d M Y', strtotime($value->declare_date)),
                'open_date' => ($value->open_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->open_decleare_date)),
                'close_date' => ($value->close_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->close_decleare_date)),
                'open_result' => ($value->open_decleare_status == '1') ? '<span class="td_color_2">' . $value->open_number . '-' . $value->open_result . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="OpenDeleteResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->open_number . '-' . $value->open_result,
                'close_result' => ($value->close_number == '') ? '*-***' : $closeFiled,

            ));
        }

        echo json_encode($gameResult);

    }

    public function declareOpenData(Request $request)
    {

        $result = DeclareResult::find($request->id);
        $result->open_number = $request->open_number;
        $result->open_result = $this->sum($request->open_number);
        $result->open_decleare_status = '1';
        $result->open_decleare_date = date('Y-m-d H:i:s');
        $result->save();
        $this->winningUsers($result->game_id, 'open', $result->declare_date, $result->id);
        echo json_encode(array(
            "open_decleare_status" => $result->open_decleare_status,
            'status' => 'success',
        ));

    }

    public function declareCloseData(Request $request)
    {

        $result = DeclareResult::find($request->id);
        $result->close_number = $request->close_number;
        $result->close_result = $this->sum($request->close_number);
        $result->close_decleare_status = '1';
        $result->close_decleare_date = date('Y-m-d H:i:s');
        $result->save();
        $this->winningUsers($result->game_id, 'close', $result->declare_date, $result->id);
        echo json_encode(array(
            "close_decleare_status" => $result->close_decleare_status,
            'status' => 'success',

        ));

    }

    public function deleteOpenResult(Request $request)
    {

        $result = DeclareResult::find($request->game_id);

        $userBid = UserBid::where('result_id', '=', $result->id)->get();
        foreach ($userBid as $key => $value) {

            $bid = UserBid::find($value->id);
            $user = User::find($value->user_id);
            $user->available_balance = $user->available_balance - $bid->wining_amount;
            $user->save();

            broadcast(new UpdateBalance($user->available_balance,$user->id));

            $bid->wining_amount = '0';
            $bid->is_win = '0';
            $bid->result_declare = '0';
            $bid->save();
            $this->fcm('refresh', '', $user->device_token);

        }
        TransactionHistory::where('result_id', '=', $result->id)->delete();
        $result->delete();

        echo json_encode(array(
            'status' => 'success',
            'msg' => "<p class='alert alert-success'><strong>Success : </strong> Result deleted succesfully</p>"
        ));

    }

    public function deleteCloseResult(Request $request)
    {

        $result = DeclareResult::find($request->game_id);
        $result->close_number = '';
        $result->close_result = '';
        $result->close_decleare_status = '0';
        $result->close_decleare_date = null;
        $result->save();
        $userBid = UserBid::where('result_id', '=', $result->id)->get();
        foreach ($userBid as $key => $value) {

            $bid = UserBid::find($value->id);
            $user = User::find($value->user_id);
            $user->available_balance = $user->available_balance - $bid->wining_amount;
            $user->save();

            broadcast(new UpdateBalance($user->available_balance,$user->id));

            $bid->wining_amount = '0';
            $bid->is_win = '0';
            $bid->result_declare = '0';
            $bid->save();
            $this->fcm('refresh', '', $user->device_token);
        }
        TransactionHistory::where('result_id', '=', $result->id)->delete();

        echo json_encode(array(
            'status' => 'success',
            'msg' => "<p class='alert alert-success'><strong>Success : </strong> Result deleted succesfully</p>"
        ));

    }

    public function getOpenWinnerList(Request $request)
    {

        $rate = GameRates::first();
        $game_id = $request->game_id;
        $session = ($request->session == '1') ? 'open' : 'close';
        $date = date('Y-m-d', strtotime($request->result_dec_date));
        $result = DeclareResult::find($request->id);
        $total_win = 0;
        $winUser = array();
        $singleDigit = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->where('game_type_id', '=', '1')
            ->get();

        //dd($singleDigit);    

        foreach ($singleDigit as $key => $value) {

            if ($value->session == 'open') {

                if ($result->open_result == $value->open_digit) {
                    $user = User::find($value->user_id);
                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            } else {

                if ($result->close_result == $value->close_digit) {
                    $user = User::find($value->user_id);
                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            }
        }

        $pana = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->whereIn('game_type_id', ['3', '4', '5'])
            ->get();

        foreach ($pana as $key => $value) {

            if ($value->session == 'open') {

                if ($result->open_number == $value->open_pana) {

                    $user = User::find($value->user_id);
                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;
                        $type = "Single Pana";

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                        $type = "Double Pana";
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                        $type = "Triple Pana";
                    }
                    $wnining_amount = $value->points * $panarate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => $type, "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }

            } else {
                if ($result->close_number == $value->close_pana) {

                    $user = User::find($value->user_id);
                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    }
                    $wnining_amount = $value->points * $panarate;
                    $total_win = $total_win + $wnining_amount;
                    array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                }
            }
        }

        if ($session == 'close') {
            $jodiandsangam = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['2', '7', '6'])
                ->get();

            foreach ($jodiandsangam as $key => $value) {

                if ($value->game_type_id == '2') {

                    if ($value->open_digit == $result->open_result && $value->close_digit == $result->close_result) {

                        $user = User::find($value->user_id);

                        $jodirate = $rate->jodi_digit_value_two / $rate->jodi_digit_value_one;
                        $wnining_amount = $value->points * $jodirate;
                        $total_win = $total_win + $wnining_amount;
                        array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Jodi Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                    }

                } else if ($value->game_type_id == '6') {

                    if ($value->session == 'open') {

                        if ($value->open_digit == $result->open_result && $value->close_pana == $result->close_number) {

                            $user = User::find($value->user_id);

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $total_win = $total_win + $wnining_amount;
                            array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Half Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                        }

                    } else {

                        if ($value->close_digit == $result->close_result && $value->open_pana == $result->open_number) {

                            $user = User::find($value->user_id);

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $total_win = $total_win + $wnining_amount;
                            array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Half Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
                        }

                    }
                } else {

                    if ($value->open_pana == $result->open_number && $value->close_pana == $result->close_number) {


                        $user = User::find($value->user_id);

                        $fullrate = $rate->full_sangam_value_two / $rate->full_sangam_value_one;
                        $wnining_amount = $value->points * $fullrate;
                        $total_win = $total_win + $wnining_amount;
                        array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Full Sangam", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));

                    }

                }

            }

        }
        $data['winner_list'] = $winUser;
        $data['points_amt_sum'] = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->sum('points');
        $data['win_amt_sum'] = $total_win;
        echo json_encode($data);

    }

    public function winningUsers($game_id, $session, $date, $declare_id)
    {

        $rate = GameRates::first();
        $result = DeclareResult::find($declare_id);

        //Single Digit
        $singleDigit = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->where('game_type_id', '=', '1')
            ->get();
        //dd($singleDigit);

        foreach ($singleDigit as $key => $value) {

            if ($value->session == 'open') {

                if ($result->open_result == $value->open_digit) {

                    $bid = UserBid::find($value->id);
                    $bid->is_win = '1';
                    $bid->result_declare = '1';

                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $bid->wining_amount = $wnining_amount;
                    $bid->result_id = $result->id;
                    $bid->save();

                    $user = User::find($value->user_id);
                    $user->available_balance = $user->available_balance + $wnining_amount;
                    $user->save();
                    broadcast(new UpdateBalance($user->available_balance,$user->id));

                    $this->fcm('refresh', '', $user->device_token);
                    $game = Games::find($value->game_id);
                    $gametype = GameType::find($value->game_type_id);
                    $fund = TransactionHistory::create([

                        'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                    ]);
                    $fund->save();
                }

            } else {
                if ($result->close_result == $value->close_digit) {

                    $bid = UserBid::find($value->id);
                    $bid->is_win = '1';
                    $bid->result_declare = '1';

                    $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                    $wnining_amount = $value->points * $singlerate;
                    $bid->wining_amount = $wnining_amount;
                    $bid->result_id = $result->id;
                    $bid->save();

                    $user = User::find($value->user_id);
                    $user->available_balance = $user->available_balance + $wnining_amount;
                    $user->save();
                    broadcast(new UpdateBalance($user->available_balance,$user->id));
                    $this->fcm('refresh', '', $user->device_token);
                    $game = Games::find($value->game_id);
                    $gametype = GameType::find($value->game_type_id);
                    $fund = TransactionHistory::create([

                        'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                    ]);
                    $fund->save();
                }
            }
        }

        //Single Digit
        $pana = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->whereIn('game_type_id', ['3', '4', '5'])
            ->get();

        foreach ($pana as $key => $value) {

            if ($value->session == 'open') {

                if ($result->open_number == $value->open_pana) {

                    $bid = UserBid::find($value->id);
                    $bid->is_win = '1';
                    $bid->result_declare = '1';
                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    }
                    $wnining_amount = $value->points * $panarate;
                    $bid->wining_amount = $wnining_amount;
                    $bid->result_id = $result->id;
                    $bid->save();

                    $user = User::find($value->user_id);
                    $user->available_balance = $user->available_balance + $wnining_amount;
                    $user->save();
                    broadcast(new UpdateBalance($user->available_balance,$user->id));
                    $this->fcm('refresh', '', $user->device_token);
                    $game = Games::find($value->game_id);
                    $gametype = GameType::find($value->game_type_id);
                    $fund = TransactionHistory::create([

                        'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                    ]);
                    $fund->save();
                }

            } else {
                if ($result->close_number == $value->close_pana) {

                    $bid = UserBid::find($value->id);
                    $bid->is_win = '1';
                    $bid->result_declare = '1';

                    if ($value->game_type_id == '3') {
                        $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;

                    } else if ($value->game_type_id == '4') {
                        $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    } else {
                        $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    }
                    $wnining_amount = $value->points * $panarate;
                    $bid->wining_amount = $wnining_amount;
                    $bid->result_id = $result->id;
                    $bid->save();

                    $user = User::find($value->user_id);
                    $user->available_balance = $user->available_balance + $wnining_amount;
                    $user->save();
                    broadcast(new UpdateBalance($user->available_balance,$user->id));
                    $this->fcm('refresh', '', $user->device_token);
                    $game = Games::find($value->game_id);
                    $gametype = GameType::find($value->game_type_id);
                    $fund = TransactionHistory::create([

                        'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                    ]);
                    $fund->save();
                }
            }
        }

        // Jodi
        if ($session == 'close') {
            $jodiandsangam = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['2', '7', '6'])
                ->get();

            foreach ($jodiandsangam as $key => $value) {

                if ($value->game_type_id == '2') {

                    if ($value->open_digit == $result->open_result && $value->close_digit == $result->close_result) {

                        $bid = UserBid::find($value->id);
                        $bid->is_win = '1';
                        $bid->result_declare = '1';

                        $jodirate = $rate->jodi_digit_value_two / $rate->jodi_digit_value_one;
                        $wnining_amount = $value->points * $jodirate;
                        $bid->wining_amount = $wnining_amount;
                        $bid->result_id = $result->id;
                        $bid->save();

                        $user = User::find($value->user_id);
                        $user->available_balance = $user->available_balance + $wnining_amount;
                        $user->save();

                        broadcast(new UpdateBalance($user->available_balance,$user->id));
                        $this->fcm('refresh', '', $user->device_token);
                        $game = Games::find($value->game_id);
                        $gametype = GameType::find($value->game_type_id);
                        $fund = TransactionHistory::create([

                            'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                        ]);
                        $fund->save();

                    }

                } else if ($value->game_type_id == '6') {

                    if ($value->session == 'open') {

                        if ($value->open_digit == $result->open_result && $value->close_pana == $result->close_number) {

                            $bid = UserBid::find($value->id);
                            $bid->is_win = '1';
                            $bid->result_declare = '1';

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $bid->wining_amount = $wnining_amount;
                            $bid->result_id = $result->id;
                            $bid->save();

                            $user = User::find($value->user_id);
                            $user->available_balance = $user->available_balance + $wnining_amount;
                            $user->save();
                            broadcast(new UpdateBalance($user->available_balance,$user->id));
                            $this->fcm('refresh', '', $user->device_token);
                            $game = Games::find($value->game_id);
                            $gametype = GameType::find($value->game_type_id);
                            $fund = TransactionHistory::create([

                                'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                            ]);
                            $fund->save();

                        }

                    } else {

                        if ($value->close_digit == $result->close_result && $value->open_pana == $result->open_number) {

                            $bid = UserBid::find($value->id);
                            $bid->is_win = '1';
                            $bid->result_declare = '1';

                            $halfrate = $rate->half_sangam_value_two / $rate->half_sangam_value_one;
                            $wnining_amount = $value->points * $halfrate;
                            $bid->wining_amount = $wnining_amount;
                            $bid->result_id = $result->id;
                            $bid->save();

                            $user = User::find($value->user_id);
                            $user->available_balance = $user->available_balance + $wnining_amount;
                            $user->save();
                            broadcast(new UpdateBalance($user->available_balance,$user->id));
                            $this->fcm('refresh', '', $user->device_token);
                            $game = Games::find($value->game_id);
                            $gametype = GameType::find($value->game_type_id);
                            $fund = TransactionHistory::create([

                                'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                            ]);
                            $fund->save();

                        }

                    }
                } else {

                    if ($value->open_pana == $result->open_number && $value->close_pana == $result->close_number) {


                        $bid = UserBid::find($value->id);
                        $bid->is_win = '1';
                        $bid->result_declare = '1';

                        $fullrate = $rate->full_sangam_value_two / $rate->full_sangam_value_one;
                        $wnining_amount = $value->points * $fullrate;
                        $bid->wining_amount = $wnining_amount;
                        $bid->result_id = $result->id;
                        $bid->save();
                        $this->fcm('refresh', '', $user->device_token);
                        $user = User::find($value->user_id);
                        $user->available_balance = $user->available_balance + $wnining_amount;
                        $user->save();
                        broadcast(new UpdateBalance($user->available_balance,$user->id));
                        $game = Games::find($value->game_id);
                        $gametype = GameType::find($value->game_type_id);
                        $fund = TransactionHistory::create([

                            'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' in ' . $gametype->type . ' (Session - ' . $value->session . ') for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                        ]);
                        $fund->save();

                    }
                }
            }
        }
    }

    public function starlineDeclareResult(Request $request)
    {

        $pana = FullSangam::where('type', '=', 'open')->get();
        $game = StarlineGames::where('status', '=', 'active')->get();
        $gameList = array();
        foreach ($game as $key => $value) {

            $declare = StarlineDeclareResult::where('declare_date', '=', date('Y-m-d'))->where('open_decleare_status', '=', '1')
                ->where('game_id', '=', $value->id)
                ->first();
            if (empty($declare)) {

                if ($value->market_open == 'active') {

                    array_push($gameList, array(
                        'id' => $value->id,
                        "game_name" => $value->game_name,
                        "game_name_hindi" => $value->game_name_hindi,
                        "open_time" => date('h:i A', strtotime($value->open_time)),
                    ));

                }
            }

        }
        return view('starline.starlineDeclareResult', compact('gameList', 'pana'));
    }

    public function starlineGetDecleareGame(Request $request)
    {

        $declare = StarlineDeclareResult::where('declare_date', '=', $request->result_dec_date)
            ->where('game_id', '=', $request->game_id)
            ->first();
        if (empty($declare)) {

            $data = array(
                "game_id" => "",
                "open_number" => "",
                "decleare_status" => "",
                "open_result" => "",
                "open_decleare_status" => "",
                "id" => "",
                "status" => "success"
            );
        } else {
            $data = array(
                "game_id" => $declare->game_id,
                "open_number" => ($declare->open_number == null) ? '' : $declare->open_number,
                "open_result" => ($declare->open_result == null) ? '' : $declare->open_result,
                "open_decleare_status" => ($declare->open_number == null) ? "" : $declare->open_decleare_status,
                "id" => $declare->id,
                "status" => "success"
            );
        }

        echo json_encode($data);
    }

    public function starlineSaveOpenData(Request $request)
    {

        $open_number = $request->open_number;
        $game_id = $request->game_id;
        $id = $request->id;
        $result_dec_date = $request->result_dec_date;
        if ($id == '') {

            $result = StarlineDeclareResult::create([

                'game_id' => $game_id, 'open_number' => $open_number, 'open_result' => $this->sum($open_number),
                //'open_decleare_status' => '1',
                'declare_date' => date('Y-m-d'),]);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "open_result" => $result->open_result,
                'status' => 'success',
                "msg" => "<p class='alert alert-success'>Successfully inserted.</p>"
            ));
        } else {

            $result = StarlineDeclareResult::find($id);
            $result->open_number = $request->open_number;
            $result->open_result = $this->sum($open_number);
            $result->save();
            echo json_encode(array(
                'id' => $result->id,
                "open_result" => $result->open_result,
                'status' => 'success'
            ));
        }

    }

    public function starlineGetOpenWinnerList(Request $request)
    {

        $rate = StarlineGameRates::first();
        $game_id = $request->game_id;
        //$session=($request->session == '1') ? 'open' : 'close';
        $date = date('Y-m-d', strtotime($request->result_dec_date));
        $result = StarlineDeclareResult::find($request->id);
        $total_win = 0;
        $winUser = array();
        $singleDigit = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('game_type_id', '=', '1')
            ->get();

        foreach ($singleDigit as $key => $value) {


            if ($result->open_result == $value->open_digit) {
                $user = User::find($value->user_id);
                $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                $wnining_amount = $value->points * $singlerate;
                $total_win = $total_win + $wnining_amount;
                array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => "Single Digit", "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
            }

        }

        $pana = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->whereIn('game_type_id', ['3', '4', '5'])
            ->get();

        foreach ($pana as $key => $value) {

            if ($result->open_number == $value->open_pana) {

                $user = User::find($value->user_id);
                if ($value->game_type_id == '3') {
                    $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;
                    $type = "Single Pana";

                } else if ($value->game_type_id == '4') {
                    $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                    $type = "Double Pana";
                } else {
                    $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                    $type = "Triple Pana";
                }
                $wnining_amount = $value->points * $panarate;
                $total_win = $total_win + $wnining_amount;
                array_push($winUser, array("user_id" => $value->user_id, 'user_name' => $user->username, "pana" => $type, "win_amt" => $wnining_amount, "points" => $value->points, "bid_tx_id" => $value->tx_id));
            }


        }
        $data['winner_list'] = $winUser;
        $data['points_amt_sum'] = UserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->sum('points');
        $data['win_amt_sum'] = $total_win;
        echo json_encode($data);

    }

    public function starlineDeclareOpenData(Request $request)
    {

        $result = StarlineDeclareResult::find($request->id);
        $result->open_number = $request->open_number;
        $result->open_result = $this->sum($request->open_number);
        $result->open_decleare_status = '1';
        $result->open_decleare_date = date('Y-m-d H:i:s');
        $result->save();
        $this->starlineWinningUsers($result->game_id, 'open', $result->declare_date, $result->id);
        echo json_encode(array(
            "open_decleare_status" => $result->open_decleare_status,
            'status' => 'success',
        ));

    }

    public function starlineWinningUsers($game_id, $session, $date, $declare_id)
    {

        $rate = StarlineGameRates::first();
        $result = StarlineDeclareResult::find($declare_id);

        //Single Digit
        $singleDigit = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('game_type_id', '=', '1')
            ->get();
        //dd($singleDigit);

        foreach ($singleDigit as $key => $value) {

            if ($result->open_result == $value->open_digit) {

                $bid = StarlineUserBid::find($value->id);
                $bid->is_win = '1';
                $bid->result_declare = '1';

                $singlerate = $rate->single_digit_value_two / $rate->single_digit_value_one;
                $wnining_amount = $value->points * $singlerate;
                $bid->wining_amount = $wnining_amount;
                $bid->result_id = $result->id;
                $bid->save();

                $user = User::find($value->user_id);
                $user->available_balance = $user->available_balance + $wnining_amount;
                $user->save();

                broadcast(new UpdateBalance($user->available_balance,$user->id));

                $this->fcm('refresh', '', $user->device_token);
                $game = StarlineGames::find($value->game_id);
                $gametype = GameType::find($value->game_type_id);
                $fund = TransactionHistory::create([

                    'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                ]);
                $fund->save();
            }

        }

        //Single Digit
        $pana = StarlineUserBid::where('game_id', $game_id)->whereDate('bid_date', '=', $date)->where('session', '=', $session)->whereIn('game_type_id', ['3', '4', '5'])
            ->get();

        foreach ($pana as $key => $value) {

            if ($result->open_number == $value->open_pana) {

                $bid = StarlineUserBid::find($value->id);
                $bid->is_win = '1';
                $bid->result_declare = '1';
                if ($value->game_type_id == '3') {
                    $panarate = $rate->single_pana_value_two / $rate->single_pana_value_one;

                } else if ($value->game_type_id == '4') {
                    $panarate = $rate->double_pana_value_two / $rate->double_pana_value_one;
                } else {
                    $panarate = $rate->triple_pana_value_two / $rate->triple_pana_value_one;
                }
                $wnining_amount = $value->points * $panarate;
                $bid->wining_amount = $wnining_amount;
                $bid->result_id = $result->id;
                $bid->save();

                $user = User::find($value->user_id);
                $user->available_balance = $user->available_balance + $wnining_amount;
                $user->save();

                broadcast(new UpdateBalance($user->available_balance,$user->id));
                $this->fcm('refresh', '', $user->device_token);
                $game = StarlineGames::find($value->game_id);
                $gametype = GameType::find($value->game_type_id);
                $fund = TransactionHistory::create([

                    'result_id' => $result->id, 'admin_id' => 0, 'user_id' => $user->id, 'amount' => $wnining_amount, 'transaction_note' => $game->game_name . ' for bid amount - ' . $value->points . ' Won', 'transfer_note' => '', 'type' => 'credit', 'date' => date('Y-m-d H:i:s'), 'tx_req_number' => $value->tx_id,

                ]);
                $fund->save();
            }


        }


    }

    public function starlineResultHistoryList(Request $request)
    {

        $result = StarlineDeclareResult::select(DB::raw('starline_declare_result.*,starline_games.game_name'))->leftJoin('starline_games', 'starline_declare_result.game_id', '=', 'starline_games.id')
            ->where('starline_declare_result.declare_date', '=', $request->date)
            ->get();

        $gameResult = [];
        foreach ($result as $key => $value) {
            //$closeFiled = ($value->close_decleare_status == '1') ? '<span class="td_color_2">' . $value->close_result . '-' . $value->close_number . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="closeDeleteResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->close_result . '-' . $value->close_number;
            array_push($gameResult, array(
                "sn" => $key + 1,
                "game_name" => $value->game_name,
                'result_date' => date('d M Y', strtotime($value->declare_date)),
                'open_date' => ($value->open_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->open_decleare_date)),
                //'close_date' => ($value->close_decleare_date == '') ? 'N/A' : date('d M Y H:i:s A', strtotime($value->close_decleare_date)) ,
                'open_result' => ($value->open_decleare_status == '1') ? '<span class="td_color_2">' . $value->open_number . '-' . $value->open_result . '<span><button type="button" class="btn btn-danger waves-light btn-xs ml-1" onclick="OpenDeleteStarlineResultConfirmData(' . $value->id . ');">Delete</button></span></span>' : $value->open_number . '-' . $value->open_result,
                //'close_result' => ($value->close_number == '') ? '*-***' : $closeFiled,

            ));
        }

        echo json_encode($gameResult);

    }

    public function starlineDeleteOpenResult(Request $request)
    {

        $result = StarlineDeclareResult::find($request->game_id);

        $userBid = StarlineUserBid::where('result_id', '=', $result->id)->get();
        foreach ($userBid as $key => $value) {

            $bid = StarlineUserBid::find($value->id);
            $user = User::find($value->user_id);
            $user->available_balance = $user->available_balance - $bid->wining_amount;
            $user->save();

            broadcast(new UpdateBalance($user->available_balance,$user->id));

            $bid->wining_amount = '0';
            $bid->is_win = '0';
            $bid->result_declare = '0';
            $bid->save();
            $this->fcm('refresh', '', $user->device_token);

        }
        TransactionHistory::where('result_id', '=', $result->id)->delete();
        $result->delete();

        echo json_encode(array(
            'status' => 'success',
            'msg' => "<p class='alert alert-success'><strong>Success : </strong> Result deleted succesfully</p>"
        ));

    }


}
