<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Games;
use App\Models\User;
use App\Models\GameRates;
use App\Models\TransactionHistory;
use App\Models\GameType;
use App\Models\DeclareResult;
use App\Models\UserBid;
use App\Models\SingleDigit;
use App\Models\JodiDigit;
use App\Models\SinglePana;
use App\Models\DoublePana;
use App\Models\TriplePana;
use App\Models\HalfSangam;
use App\Models\FullSangam;
use App\Models\Transfer;
use App\Models\Withdraw;
use App\Models\StarlineGames;
use App\Models\StarlineUserBid;
use App\Models\StarlineDeclareResult;
use Yajra\DataTables\DataTables;
use DB;

class ReportController extends Controller
{
    public function userbidHistory(Request $request)
    {
        $gameList = Games::where('games.status', '=', 'active')->get();
        return view('reports.userbidHistory', compact('gameList'));
    }

    public function getBidHistory(Request $request)
    {

        $bid = UserBid::select(DB::raw('users_bid.*,games.game_name,game_type.type,users.username'))
            ->leftJoin('games', 'users_bid.game_id', '=', 'games.id')
            ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
            ->leftJoin('users', 'users_bid.user_id', '=', 'users.id')
            ->where('users_bid.game_id', '=', $request->game_name)
            ->whereDate('users_bid.bid_date', '=', $request->bid_date);

        if ($request->game_type != 'all') {

            $bid->where('users_bid.game_type_id', '=', $request->game_type);
        }

        $bidData['getBidHistory'] = $bid->orderBy('users_bid.id', 'desc')->get();

        echo json_encode($bidData);
    }

    public function winingReport(Request $request)
    {
        $gameList = Games::where('games.status', '=', 'active')->get();
        return view('reports.winingReport', compact('gameList'));

    }

    public function getWinningHistory(Request $request)
    {

        if ($request->type == 'normal') {

            $bid['getResultHistory'] = UserBid::select(DB::raw('users_bid.*,games.game_name,game_type.type,users.username'))
                ->leftJoin('games', 'users_bid.game_id', '=', 'games.id')
                ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
                ->leftJoin('users', 'users_bid.user_id', '=', 'users.id')
                ->where('users_bid.is_win', '=', '1')
                ->where('users_bid.game_id', '=', $request->win_game_name)
                //->where('users_bid.session','=',($request->win_market_status == '1') ? 'open' : 'close')
                ->whereDate('users_bid.bid_date', '=', $request->result_date)->orderBy('users_bid.id', 'desc')->get();

        } else {
            $bid['getResultHistory'] = UserBid::select(DB::raw('users_bid.*,games.game_name,game_type.type,users.username'))
                ->leftJoin('games', 'users_bid.game_id', '=', 'games.id')
                ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
                ->leftJoin('users', 'users_bid.user_id', '=', 'users.id')
                ->where('users_bid.is_win', '=', '1')
                ->where('users_bid.game_id', '=', $request->win_game_name)
                ->where('users_bid.session', '=', ($request->win_market_status == '1') ? 'open' : 'close')
                ->whereDate('users_bid.bid_date', '=', $request->result_date)->orderBy('users_bid.id', 'desc')->get();

        }


        echo json_encode($bid);
    }

    public function customerSellReport(Request $request)
    {


        $gameList = Games::where('games.status', '=', 'active')->get();
        return view('reports.customerSellReport', compact('gameList'));

    }

    public function getCustomerSellReport(Request $request)
    {

        $session = ($request->market_status == '1') ? 'open' : 'close';
        $dec_result = DeclareResult::where('game_id', '=', $request->game_name)->whereDate('declare_date', '=', $request->start_date)->first();
        if ($request->game_type == '0') {

            $singleDigit = SingleDigit::all();
            //$singleDigit=[];
            foreach ($singleDigit as $key => $value) {

                $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_digit' : 'close_digit', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '1')->sum('points');
                $singleDigit[$key]['points'] = $userbid;
                //array_push($singleDigit,array('number'=>$value->number,'points' => $userbid));
            }

            $singleDigit = $this->array_sort_by_column(json_decode(json_encode($singleDigit), true), 'points');

            if ($session == 'open') {
                $jodi = jodiDigit::all();
            } else {

                if (empty($dec_result)) {

                    $jodi = [];
                } else {

                    $jodi = jodiDigit::where('number', 'like', $dec_result->open_result . '%')->get();
                }
            }
            foreach ($jodi as $key => $value) {
                $jodis = str_split($value->number);
                $open_digit = $jodis[0];
                $close_digit = $jodis[1];
                $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', 'close')->where('open_digit', '=', $open_digit)->where('close_digit', '=', $close_digit)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '2')->sum('points');

                $jodi[$key]['points'] = $userbid;

            }
            $jodi = $this->array_sort_by_column(json_decode(json_encode($jodi), true), 'points');

            $singlePana = SinglePana::all();
            foreach ($singlePana as $key => $value) {

                $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '3')->sum('points');
                $singlePana[$key]['points'] = $userbid;
            }
            $singlePana = $this->array_sort_by_column(json_decode(json_encode($singlePana), true), 'points');

            $doublePana = DoublePana::all();
            foreach ($doublePana as $key => $value) {

                $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '4')->sum('points');
                $doublePana[$key]['points'] = $userbid;
            }
            $doublePana = $this->array_sort_by_column(json_decode(json_encode($doublePana), true), 'points');

            $triplePana = TriplePana::all();
            foreach ($triplePana as $key => $value) {

                $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '5')->sum('points');
                $triplePana[$key]['points'] = $userbid;
            }
            $triplePana = $this->array_sort_by_column(json_decode(json_encode($triplePana), true), 'points');


        } else {

            if ($request->game_type == 'Single Digit') {

                $singleDigit = SingleDigit::all();
                foreach ($singleDigit as $key => $value) {

                    $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_digit' : 'close_digit', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '1')->sum('points');
                    $singleDigit[$key]['points'] = $userbid;
                }
                $singleDigit = $this->array_sort_by_column(json_decode(json_encode($singleDigit), true), 'points');
                $jodi = [];
                $singlePana = [];
                $doublePana = [];
                $triplePana = [];
            } else if ($request->game_type == 'Jodi Digit') {

                if ($session == 'open') {
                    $jodi = jodiDigit::all();
                } else {

                    if (empty($dec_result)) {
                        $jodi = [];
                    } else {

                        $jodi = jodiDigit::where('number', 'like', $dec_result->open_result . '%')->get();
                    }
                }
                foreach ($jodi as $key => $value) {
                    $jodis = str_split($value->number);
                    $open_digit = $jodis[0];
                    $close_digit = $jodis[1];
                    $userbid = UserBid::where('game_id', '=', $request->game_name)->where('open_digit', '=', $open_digit)->where('close_digit', '=', $close_digit)->whereDate('bid_date', '=', $request->start_date)->where('session', '=', 'close')->where('game_type_id', '=', '2')->sum('points');
                    $jodi[$key]['points'] = $userbid;

                }
                $jodi = $this->array_sort_by_column(json_decode(json_encode($jodi), true), 'points');
                $singleDigit = [];
                $singlePana = [];
                $doublePana = [];
                $triplePana = [];

            } else if ($request->game_type == 'Single Pana') {
                $singlePana = SinglePana::all();
                foreach ($singlePana as $key => $value) {

                    $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '3')->sum('points');
                    $singlePana[$key]['points'] = $userbid;
                }
                $singlePana = $this->array_sort_by_column(json_decode(json_encode($singlePana), true), 'points');
                $singleDigit = [];
                $jodi = [];
                $doublePana = [];
                $triplePana = [];

            } else if ($request->game_type == 'Double Pana') {
                $doublePana = DoublePana::all();
                foreach ($doublePana as $key => $value) {

                    $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '4')->sum('points');
                    $doublePana[$key]['points'] = $userbid;
                }
                $doublePana = $this->array_sort_by_column(json_decode(json_encode($doublePana), true), 'points');
                $singleDigit = [];
                $jodi = [];
                $singlePana = [];
                $triplePana = [];
            } else if ($request->game_type == 'Triple Pana') {
                $triplePana = TriplePana::all();
                foreach ($triplePana as $key => $value) {

                    $userbid = UserBid::where('game_id', '=', $request->game_name)->where('session', '=', $session)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '5')->sum('points');
                    $triplePana[$key]['points'] = $userbid;
                }
                $triplePana = $this->array_sort_by_column(json_decode(json_encode($triplePana), true), 'points');
                $singleDigit = [];
                $jodi = [];
                $singlePana = [];
                $doublePana = [];

            } else {
                $singleDigit = [];
                $jodi = [];
                $singlePana = [];
                $doublePana = [];
                $triplePana = [];
            }

        }
        $type = $request->game_type;
        $view = \View::make('reports.customerSellPartial', compact('session', 'singleDigit', 'jodi', 'singlePana', 'doublePana', 'triplePana', 'type'));
        $html['listData'] = $view->render();
        return $html;

    }

    public function bidWinReport(Request $request)
    {
        $gameList = Games::where('games.status', '=', 'active')->get();
        return view('reports.bidWinReport', compact('gameList'));
    }

    public function getBidWinningReport(Request $request)
    {

        $data['total_bid'] = UserBid::where('game_id', '=', $request->win_game_name)->whereDate('bid_date', '=', $request->result_date)->sum('points');
        $data['total_win'] = UserBid::where('game_id', '=', $request->win_game_name)->whereDate('bid_date', '=', $request->result_date)->where('is_win', '=', '1')->sum('wining_amount');

        $data['total_profit'] = $data['total_bid'] - $data['total_win'];
        $data['total_loss'] = (($data['total_win'] - $data['total_bid']) < 0) ? 0 : $data['total_win'] - $data['total_bid'];
        $data['status'] = 'success';
        echo json_encode($data);
    }

    public function getTransferReport(Request $request)
    {
        $transfer = Transfer::select(DB::raw('transfer.*,sender.username as sender_name,sender.id as sender_id,receiver.username as receiver_name,receiver.id, receiver_id'))->leftJoin('users as sender', 'transfer.sender_id', '=', 'sender.id')->leftJoin('users as receiver', 'transfer.receiver_id', '=', 'receiver.id')->where('date', '=', $request->transfer_date)->orderBy('transfer.id', 'desc')->get();

        $total_amt = Transfer::sum('amount');

        $view = \View::make('reports.transferPartial', compact('transfer'));
        $html['listData'] = $view->render();
        $html['total_amt'] = $total_amt;
        $html['status'] = 'success';
        return $html;

    }

    public function withdrawReport(Request $request)
    {
        //$gameList = Games::where('games.status', '=', 'active')->get();
        return view('reports.withdrawReport');

    }

    public function getWithdrawReport(Request $request)
    {
        $withdraw = Withdraw::select(DB::raw('withdraw.*,users.username,users.phone_number'))
            ->leftJoin('users', 'withdraw.user_id', '=', 'users.id')->whereDate('request_date', '=', $request->withdraw_date)->orderBy('withdraw.id', 'desc')->get();

        $total_withdraw = Withdraw::whereDate('request_date', '=', $request->withdraw_date)->sum('amount');
        $total_accepted = Withdraw::whereDate('request_date', '=', $request->withdraw_date)->where('status', '=', '1')->sum('amount');
        $total_rejected = Withdraw::whereDate('request_date', '=', $request->withdraw_date)->where('status', '=', '0')->sum('amount');

        $view = \View::make('reports.withdrawPartial', compact('withdraw'));
        $html['list_data'] = $view->render();
        $html['withdraw_amt'] = $total_withdraw;
        $html['total_accept'] = $total_accepted;
        $html['total_reject'] = $total_rejected;
        $html['status'] = 'success';
        return $html;

    }

    public function autoDepositHistory(Request $request)
    {
        return view('reports.autoDepositHistory');
    }

    public function getAutoDeposite(Request $request)
    {
        $auto = TransactionHistory::select(DB::raw('transaction_history.*,users.username'))
            ->leftJoin('users', 'transaction_history.user_id', '=', 'users.id')->whereDate('transaction_history.date', '=', $request->bid_revert_date)->where('transaction_history.auto_deposit', '=', '1')->where('transaction_history.status', '=', '1')->orderBy('transaction_history.id', 'desc')->get();

        $view = \View::make('reports.autoDepositPartial', compact('auto'));
        $html['list_data'] = $view->render();
        $html['status'] = 'success';
        return $html;

    }

    public function starlineBidHistory(Request $request)
    {
        $gameList = StarlineGames::where('status', '=', 'active')->get();
        return view('starline.starlineBidHistory', compact('gameList'));

    }

    public function starlineGetBidHistory(Request $request)
    {

        $bid = StarlineUserBid::select(DB::raw('starline_user_bid.*,starline_games.game_name,game_type.type,users.username'))
            ->leftJoin('starline_games', 'starline_user_bid.game_id', '=', 'starline_games.id')
            ->leftJoin('game_type', 'starline_user_bid.game_type_id', '=', 'game_type.id')
            ->leftJoin('users', 'starline_user_bid.user_id', '=', 'users.id')
            ->whereDate('starline_user_bid.bid_date', '=', $request->bid_date);

        if ($request->game_type != 'all') {

            $bid->where('starline_user_bid.game_type_id', '=', $request->game_type);
        }

        if ($request->game_name != 'all') {

            $bid->where('starline_user_bid.game_id', '=', $request->game_name);
        }

        $bidData['getBidHistory'] = $bid->orderBy('starline_user_bid.id', 'desc')->get();

        echo json_encode($bidData);
    }

    public function starlineResultHistory(Request $request)
    {
        return view('starline.starlineResultHistory');
    }

    public function starlineGetResultHistory(Request $request)
    {
        $result = StarlineDeclareResult::select(DB::raw('starline_declare_result.*,starline_games.game_name'))->leftJoin('starline_games', 'starline_declare_result.game_id', '=', 'starline_games.id')->orderBy('starline_declare_result.id', 'asc')->get();
        return Datatables::of($result)
            ->addIndexColumn()
            ->editColumn('result_date', function ($row) {

                return date('Y-m-d', strtotime($row['created_at']));
            })
            ->editColumn('created_at', function ($row) {

                return date('d M Y h:i:s A', strtotime($row['created_at']));
            })
            ->addColumn('number', function ($row) {

                return $row['open_number'] . '-' . $row['open_result'];
            })
            ->rawColumns(['#', 'result_date', 'number', 'created_at'])
            ->make(true);

    }

    public function starlineSellReport(Request $request)
    {
        $gameList = StarlineGames::where('status', '=', 'active')->get();
        return view('starline.starlineSellReport', compact('gameList'));

    }

    public function starlineGetSellReport(Request $request)
    {
        $session = 'open';
        if ($request->game_type == '0') {

            $singleDigit = SingleDigit::all();
            //$singleDigit=[];
            foreach ($singleDigit as $key => $value) {

                $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_digit' : 'close_digit', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '1')->sum('points');
                $singleDigit[$key]['points'] = $userbid;
                //array_push($singleDigit,array('number'=>$value->number,'points' => $userbid));
            }

            $singleDigit = $this->array_sort_by_column(json_decode(json_encode($singleDigit), true), 'points');

            $singlePana = SinglePana::all();
            foreach ($singlePana as $key => $value) {

                $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '3')->sum('points');
                $singlePana[$key]['points'] = $userbid;
            }
            $singlePana = $this->array_sort_by_column(json_decode(json_encode($singlePana), true), 'points');

            $doublePana = DoublePana::all();
            foreach ($doublePana as $key => $value) {

                $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '4')->sum('points');
                $doublePana[$key]['points'] = $userbid;
            }
            $doublePana = $this->array_sort_by_column(json_decode(json_encode($doublePana), true), 'points');

            $triplePana = TriplePana::all();
            foreach ($triplePana as $key => $value) {

                $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '5')->sum('points');
                $triplePana[$key]['points'] = $userbid;
            }
            $triplePana = $this->array_sort_by_column(json_decode(json_encode($triplePana), true), 'points');


        } else {

            if ($request->game_type == 'Single Digit') {

                $singleDigit = SingleDigit::all();
                foreach ($singleDigit as $key => $value) {

                    $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_digit' : 'close_digit', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '1')->sum('points');
                    $singleDigit[$key]['points'] = $userbid;
                }
                $singleDigit = $this->array_sort_by_column(json_decode(json_encode($singleDigit), true), 'points');
                $singlePana = [];
                $doublePana = [];
                $triplePana = [];
            } else if ($request->game_type == 'Single Pana') {
                $singlePana = SinglePana::all();
                foreach ($singlePana as $key => $value) {

                    $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '3')->sum('points');
                    $singlePana[$key]['points'] = $userbid;
                }
                $singlePana = $this->array_sort_by_column(json_decode(json_encode($singlePana), true), 'points');
                $singleDigit = [];
                $doublePana = [];
                $triplePana = [];

            } else if ($request->game_type == 'Double Pana') {
                $doublePana = DoublePana::all();
                foreach ($doublePana as $key => $value) {

                    $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '4')->sum('points');
                    $doublePana[$key]['points'] = $userbid;
                }
                $doublePana = $this->array_sort_by_column(json_decode(json_encode($doublePana), true), 'points');
                $singleDigit = [];
                $singlePana = [];
                $triplePana = [];
            } else if ($request->game_type == 'Triple Pana') {
                $triplePana = TriplePana::all();
                foreach ($triplePana as $key => $value) {

                    $userbid = StarlineUserBid::where('game_id', '=', $request->game_name)->where(($session == 'open') ? 'open_pana' : 'close_pana', '=', $value->number)->whereDate('bid_date', '=', $request->start_date)->where('game_type_id', '=', '5')->sum('points');
                    $triplePana[$key]['points'] = $userbid;
                }
                $triplePana = $this->array_sort_by_column(json_decode(json_encode($triplePana), true), 'points');
                $singleDigit = [];
                $singlePana = [];
                $doublePana = [];

            } else {
                $singleDigit = [];
                $singlePana = [];
                $doublePana = [];
                $triplePana = [];
            }

        }
        $type = $request->game_type;
        $view = \View::make('reports.customerSellPartial', compact('singleDigit', 'singlePana', 'doublePana', 'triplePana', 'type'));
        $html['listData'] = $view->render();
        return $html;

    }

    public function starlineWiningReport(Request $request)
    {
        $gameList = StarlineGames::where('status', '=', 'active')->get();
        return view('starline.starlineWiningReport', compact('gameList'));

    }

    public function starlineGetWiningReport(Request $request)
    {

        $bid['getResultHistory'] = StarlineUserBid::select(DB::raw('starline_user_bid.*,starline_games.game_name,game_type.type,users.username'))
            ->leftJoin('starline_games', 'starline_user_bid.game_id', '=', 'starline_games.id')
            ->leftJoin('game_type', 'starline_user_bid.game_type_id', '=', 'game_type.id')
            ->leftJoin('users', 'starline_user_bid.user_id', '=', 'users.id')
            ->where('starline_user_bid.is_win', '=', '1')
            ->where('starline_user_bid.game_id', '=', $request->win_game_name)
            //->where('users_bid.session','=',($request->win_market_status == '1') ? 'open' : 'close')
            ->whereDate('starline_user_bid.bid_date', '=', $request->result_date)->orderBy('starline_user_bid.id', 'desc')->get();

        echo json_encode($bid);
    }

    public function array_sort_by_column($arr, $col, $dir = SORT_DESC)
    {
        $sort_col = array();
        //dd($arr);
        foreach ($arr as $key => $row) {
            $sort_col[$key] = $row[$col];
        }
        //dd($sort_col);
        array_multisort($sort_col, $dir, $arr);
        return $arr;
    }
}
