<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\MainSetting;
use App\Models\UserOtp;
use Pusher\Pusher;
use App\Events\GlobalBattingOff;
use App\Events\UpdateMessage;

class SettingController extends Controller
{
    public function mainSetting(Request $request)
    {

        $mainSetting = MainSetting::find(1);
        return view('settings.mainSetting', compact('mainSetting'));
    }

    public function addBankDetail(Request $request)
    {

        $bankSetting = MainSetting::find(1);
        $bankSetting->account_holder_name = $request->ac_name;
        $bankSetting->account_number = $request->ac_number;
        $bankSetting->ifsc_code = $request->ifsc_code;
        $bankSetting->save();
        return response()->json(['msg' => '<p class="alert alert-success">Bank Details Successfully Updated.</p>', 'status' => 'success']);
    }

    public function addUpiDetail(Request $request)
    {
        $otp_string = mt_rand(2000, 9000);
        UserOtp::updateOrCreate(
            ['phone_number' => '8107411740'],
            ['otp_string' => $otp_string]
        );
        $numbers = '7878814956';
        $sms = $this->sendsms($numbers, $otp_string);
        return response()->json(['msg' => '<p class="alert alert-success">OTP send successfull.</p>', 'status' => 'success', 'mobile' => 'XXXXXX4956']);

    }

    public function updateUpiDetail(Request $request)
    {
        $otp = UserOtp::where('phone_number', '8107411740')->first();
        if (!empty($otp)) {
            if ($otp->otp_string == $request->otp_code) {
                $otp->delete();
                $bankSetting = MainSetting::find(1);
                $bankSetting->google_upi_id = $request->up_google_upi_payment_id;
                $bankSetting->phonepe_upi_id = $request->up_phonepay_upi_payment_id;
                $bankSetting->other_upi_id = $request->upi_id;
                $bankSetting->save();
                return response()->json(['msg' => '<p class="alert alert-success">UPI Details Successfully Updated.</p>', 'status' => 'success']);

            } else {
                return response()->json(['status' => 'fail', 'msg' => '<p class="alert alert-danger">OTP not matched</p>']);
            }
        } else {
            return response()->json(['status' => 'fail', 'msg' => '<p class="alert alert-danger">Phone number not found, please send OTP again.</p>']);
        }

    }

    public function addAppLink(Request $request)
    {

        $bankSetting = MainSetting::find(1);

        $old_message = $bankSetting->login_msg; 

        $bankSetting->app_link = $request->app_link;
        $bankSetting->share_message = ($request->content) ? $request->content : '';
        $bankSetting->referral_msg = $request->referral_msg;

        $bankSetting->login_msg = $request->login_msg;
        
        $bankSetting->save();
        if(strlen($old_message) != strlen($request->login_msg)){
            broadcast(new UpdateMessage($bankSetting->login_msg)); 
        }
        return response()->json(['msg' => '<p class="alert alert-success">App Link Successfully Updated.</p>', 'status' => 'success']);
    }

    public function addAppMaintainence(Request $request)
    {

        $bankSetting = MainSetting::find(1);

        $bankSetting->maintainence_msg = $request->app_maintainence_msg;
        $bankSetting->is_maintainence = (isset($request->maintainence_msg_status)) ? '1' : '0';
        $bankSetting->save();
        return response()->json(['msg' => '<p class="alert alert-success">App Maintainence Msg Successfully Updated.</p>', 'status' => 'success']);
    }

    public function addFixValues(Request $request)
    {

        $bankSetting = MainSetting::find(1);
        $old_batting = $bankSetting->global_betting;

        $bankSetting->min_deposit = $request->min_deposite;
        $bankSetting->max_deposit = $request->max_deposite;
        $bankSetting->min_withdrawal = $request->min_withdrawal;
        $bankSetting->max_withdrawal = $request->max_withdrawal;
        $bankSetting->min_transfer = $request->min_transfer;
        $bankSetting->max_transfer = $request->max_transfer;
        $bankSetting->min_bid_amount = $request->min_bid_amt;
        $bankSetting->max_bid_amount = $request->max_bid_amt;
        $bankSetting->welcome_bonus = $request->welcome_bonus;
        $bankSetting->referral_points = $request->referral_points;
        $bankSetting->withdrawal_open_time = $request->withdraw_open_time;
        $bankSetting->withdrawal_close_time = $request->withdraw_close_time;
        $bankSetting->global_betting = (isset($request->global_batting_status)) ? '1' : '0';
        $bankSetting->save();

        if($old_batting != $bankSetting->global_betting){   
            
            $status = ($bankSetting->global_betting == '1') ? 'yes' : 'no';
            broadcast(new GlobalBattingOff($status));
           
        }
        return response()->json(['msg' => '<p class="alert alert-success">Values Successfully Updated.</p>', 'status' => 'success']);
    }

    public function contactSetting(Request $request)
    {

        $contactSetting = MainSetting::find(1);
        return view('settings.contactSetting', compact('contactSetting'));
    }

    public function addContactSettings(Request $request)
    {

        $contactSetting = MainSetting::find(1);
        $contactSetting->mobile_number = $request->mobile_1;
        $contactSetting->telegram_number = $request->mobile_2;
        $contactSetting->whatsapp_number = $request->whats_mobile;
        $contactSetting->website = $request->website;
        $contactSetting->landline_1 = $request->landline_1;
        $contactSetting->landline_2 = $request->landline_2;
        $contactSetting->email_1 = $request->email_1;
        $contactSetting->email_2 = $request->email_2;
        $contactSetting->facebook = $request->facebook;
        $contactSetting->twitter = $request->twitter;
        $contactSetting->youtube = $request->youtube;
        $contactSetting->google_plus = $request->google_plus;
        $contactSetting->instagram = $request->instagram;
        $contactSetting->latitude = $request->latitude;
        $contactSetting->longitude = $request->longitude;
        $contactSetting->address = $request->address;
        $contactSetting->save();
        return response()->json(['msg' => '<p class="alert alert-success">Contact Settings updated successfully.</p>', 'status' => 'success']);
    }

}
