<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class BaseController extends Controller
{

    public function sendResponse($result = [], $message)
    {
        $response = array();
        $response['error'] = false;
        $response['data'] = (empty($result)) ? (object)[] : $result;
        $response['message'] = $message;
        return response()->json((array)$response, 200);
    }

    public function sendError($error, $errorMessages = [], $code = 200)
    {

        $response = [
            'error' => true,
            'message' => $error,
        ];
        $response['data'] = (object)$errorMessages;
        return response()->json($response, $code);
    }

    public function clean($string)
    {
        $string = str_replace(' ', '', $string); // Replaces all spaces with hyphens.
        $string = str_replace('-', '', $string);
        return preg_replace('/[^0-9.\-]/', '', $string); // Removes special chars.
    }

    public function fcm($title, $body, $device_token)
    {

        $url = "https://fcm.googleapis.com/fcm/send";
        $serverKey = 'AAAAdhRlYSU:APA91bGm15VtxtGIbOpJyQK1r-6w5iQSRFdxLcsnrxob_E_MurzzGIGd29U9DUh2hQgInTDS8Mggj3yiF2zPUepg0GDUCobYLIHNRNFCCzeUbqLzErKzyJwDW8a7ANeXEpqMHmSCkh-b';

        $notification = array('title' => $title, 'body' => $body, 'sound' => 'default', 'badge' => '1');
        $arrayToSend = array('to' => $device_token, 'notification' => $notification, 'priority' => 'high');
        $json = json_encode($arrayToSend);
        $headers = array();
        $headers[] = 'Content-Type: application/json';
        $headers[] = 'Authorization: key=' . $serverKey;
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_VERBOSE, 0);
        //Send the request
        $response = curl_exec($ch);
        //Close request
        if ($response === FALSE) {
            die('FCM Send Error: ' . curl_error($ch));
        }
        curl_close($ch);


    }
}
