<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Api\BaseController;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Games;
use App\Models\GameRates;
use App\Models\GameType;
use App\Models\DeclareResult;
use App\Models\StarlineGames;
use App\Models\StarlineGameRates;
use App\Models\HowtoPlay;
use App\Models\StarlineDeclareResult;
use App\Traits\CommonTraits;
use App\Services\CommonService;
use Validator;
use Session;
use Auth;
use Carbon\Carbon;

class GameController extends BaseController
{
    use CommonTraits;

    protected $commonservice;
    public function __construct(CommonService $commonservice){
        $this->commonservice = $commonservice;
    }
    
    public function dashboard(Request $request)
    {

        $user = Auth::user();
        $user->makeHidden(['password', 'deleted_at', 'created_at', 'updated_at', 'device_id', 'device_token']);
        $json['result'] = $user->toArray();
        return $this->sendResponse($json, 'user details.');

    }

    public function gameList(Request $request)
    {

        $gameList = $this->commonservice->getGameList($request);
        return $this->sendResponse($gameList, 'Game List.');
    }

    public function gameDetails(Request $request)
    {
        $games = Games::find($request->game_id);
        if (!empty($games)) {
            $market_time = json_decode($games->market_time, true);
            //dd($market_time[date('l')]['open_time']);
            $gameDetails['result'] = array('id' => $games->id, "game_name" => $games->game_name, "game_name_hindi" => $games->game_name_hindi, "open_time" => $market_time[date('l')]['open_time'], "close_time" => $market_time[date('l')]['close_time']);
            return $this->sendResponse($gameDetails, 'Game List.');
        } else {
            return $this->sendError('game not found', []);
        }
    }

    public function gameRate(Request $request)
    {
        
        $rate = $this->commonservice->getGameRate($request); 


        return $this->sendResponse($rate, 'Signle Digits');
    }

    public function gameType(Request $request)
    {
        $gametype['result'] = GameType::all()->toArray();
        
        if($request->game_id){
            $gametype['game'] = Games::find($request->game_id);
            $market_time = $gametype['game']->market_time;
            $gametype['game']['market_time'] = $this->getMarketTime($market_time);
        } else {
            $gametype['game'] = array();
        }
        return $this->sendResponse($gametype, 'Game Type');
    }

    public function starlineGameList(Request $request)
    {
        $gameList = $this->commonservice->getStarlineGameList($request);
        return $this->sendResponse($gameList, 'Game List.');
    }

    public function starlineGameDetails(Request $request)
    {
        $games = StarlineGames::find($request->game_id);
        if (!empty($games)) {
            $gameDetails['result'] = array('id' => $games->id, "game_name" => $games->game_name, "game_name_hindi" => $games->game_name_hindi, "open_time" => $games->open_time);
            return $this->sendResponse($gameDetails, 'Game List.');
        } else {
            return $this->sendError('game not found', []);
        }
    }

    public function starlineGameType(Request $request)
    {
        $gametype['result'] = GameType::whereIn('id', ['1', '3', '4', '5'])->get()->toArray();
        $gametype['game'] = StarlineGames::find($request->game_id);
        
        return $this->sendResponse($gametype, 'Game Type');
    }

    public function starlineGameRate(Request $request)
    {
        $gamerate = StarlineGameRates::first();
        $rate = $this->commonservice->getStarlineGameRate($request);
        return $this->sendResponse($rate, 'Signle Digits');
    }

    public function howToPlay(Request $request)
    {

        $text = HowtoPlay::first();
        $play['result'] = array("text" => $text->text, "link" => $text->link);
        return $this->sendResponse($play, 'How to Play');
    }
}
