<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Api\BaseController;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\SingleDigit;
use App\Models\JodiDigit;
use App\Models\SinglePana;
use App\Models\DoublePana;
use App\Models\TriplePana;
use App\Models\HalfSangam;
use App\Models\FullSangam;
use App\Models\MainSetting;
use App\Services\CommonService;
use Validator;
use Session;
use Auth;
use DB;
use Carbon\Carbon;

class GameNumbersController extends BaseController
{

    protected $commonservice;
    public function __construct(CommonService $commonservice){
        $this->commonservice = $commonservice;
    }

    public function singleDigit(Request $request)
    {

        $mainSetting = MainSetting::first();
        $singleDigit['result'] = SingleDigit::select("number")->get()->toArray();
        $singleDigit['min_point'] = $mainSetting->min_bid_amount;
        $singleDigit['max_point'] = $mainSetting->max_bid_amount;
        $singleDigit['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);

        return $this->sendResponse($singleDigit, 'Signle Digits');
    }

    public function jodiDigit(Request $request)
    {

        $mainSetting = MainSetting::first();
        $jodiDigit['result'] = JodiDigit::select("number")->get()->toArray();
        $jodiDigit['min_point'] = $mainSetting->min_bid_amount;
        $jodiDigit['max_point'] = $mainSetting->max_bid_amount;
        $jodiDigit['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);
        return $this->sendResponse($jodiDigit, 'Jodi Digits');
    }

    public function singlePana(Request $request)
    {

        $mainSetting = MainSetting::first();
        $singlePana['result'] = $this->commonservice->getSinglePanaNumbers();    //SinglePana::select("digits","number")->get()->toArray();
        $singlePana['min_point'] = $mainSetting->min_bid_amount;
        $singlePana['max_point'] = $mainSetting->max_bid_amount;
        $singlePana['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);

        return $this->sendResponse($singlePana, 'Signle Pana');
    }

    public function doublePana(Request $request)
    {

        $mainSetting = MainSetting::first();
        $doublePana['result'] = $this->commonservice->getDoublePanaNumbers();
        $doublePana['min_point'] = $mainSetting->min_bid_amount;
        $doublePana['max_point'] = $mainSetting->max_bid_amount;
        $doublePana['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);
        return $this->sendResponse($doublePana, 'Double pana');
    }

    public function triplePana(Request $request)
    {

        $mainSetting = MainSetting::first();
        $triplePana['result'] = TriplePana::select("number")->get()->toArray();
        $triplePana['min_point'] = $mainSetting->min_bid_amount;
        $triplePana['max_point'] = $mainSetting->max_bid_amount;
        $triplePana['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);
        return $this->sendResponse($triplePana, 'Triple Pana');
    }

    public function halfSangam(Request $request)
    {

        $mainSetting = MainSetting::first();
        $halfSangam['result'] = $this->commonservice->getHalfSangamNumbers();//HalfSangam::select(DB::raw("type,number"))->get()->toArray();
        $halfSangam['min_point'] = $mainSetting->min_bid_amount;
        $halfSangam['max_point'] = $mainSetting->max_bid_amount;
        $halfSangam['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);
        return $this->sendResponse($halfSangam, 'Half Sangam');
    }

    public function fullSangam(Request $request)
    {

        $mainSetting = MainSetting::first();
        $fullSangam['result'] = $this->commonservice->getFullSangamNumbers();//FullSangam::select(DB::raw("type,number"))->get()->toArray();
        $fullSangam['min_point'] = $mainSetting->min_bid_amount;
        $fullSangam['max_point'] = $mainSetting->max_bid_amount;
        $fullSangam['game'] = $this->commonservice->getGamedetails($request->type,$request->game_id);
        return $this->sendResponse($fullSangam, 'Full Sangam');
    }
}
