<?php
namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use App\Providers\RouteServiceProvider;
use App\Models\PermissionRole;
use App\Models\PermissionList;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use App\Models\User;
use App\Models\Carimage;
use Auth;
use Validator;
use stdClass;
use URL;
use Illuminate\Support\Facades\Hash;
use Socialite;
use Exception;

class LoginController extends Controller
{
    public function getSignin()
    {
        // Is the user logged in?
        if ($user = Auth::user())
        {
             return redirect('admin/dashboard');
        }
        return view('auth.login');
    }

    /**
     * Validate the user login.
     * @param Request $request
     */
    protected function validateLogin(Request $request)
    {
       //dd('ok');
        $credentials = array(
            'username' => $request->username,
            'role' => [User::ROLE_ADMIN],
            'password' => $request->password,
            'status' => User::STATUS_ACTIVE
        );
        //$isvalid = User::where('email', '=', $request->email)->where('is_login','=','0');
        if (Auth::attempt($credentials))
        {


            if (\Auth::user()->role == User::ROLE_CLIENT)
            {
                return redirect('user/dashboard');
            }
            else
            {
                return redirect('admin/dashboard');
            }

            return redirect('admin/dashboard');
        }
        else
        {
            return redirect('/')
                ->with('error', 'Wrong email or password!');
        }

    }
    /**
     * Log the user out of the application.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function getLogout()
    {

        if ($user = Auth::user())
        {

            // Log the user out
            Auth::logout();
        }

        // Redirect to the users page
        return redirect('/')->with('success', 'You have successfully logged out!');
    }

    public function userSignin()
    {
        // Is the user logged in?
        if ($user = Auth::user())
        {
             return redirect('userdashboard');
        }
        return view('userPanel.auth.login');
    }
    protected function checkClientLogin(Request $request)
    {

        $isvalid = User::where('phone_number', '=', $request->phone_number)->first();
        if(!empty($isvalid)){

             if (Hash::check($request->password, $isvalid->password)) {

                $data['error'] = false;
                $data['msg'] = 'success';

             }else{

                $data['error'] = true;
                $data['msg'] = 'Incorrect password!.';
             }

        }else{

           $data['error'] = true;
           $data['msg'] = 'No user found with this number, Please check number.';
        }

        return json_encode($data);

    }
    protected function validateClientLogin(Request $request)
    {

       $isvalid = User::where('phone_number', '=', $request->phone_number)->first();

       
       if(empty($isvalid)){

           $data['error'] = true;
           $data['msg'] = 'Invalid pin number!';
           return json_encode($data);
        }else if($isvalid->status != 'active'){

               $data['error'] = true;
               $data['msg'] = 'Account is blocked,Please contact admin.';
               return json_encode($data);

        }

        $credentials = array(
            'phone_number' => $request->phone_number,
            'role' => [User::ROLE_CLIENT],
            'password' => $request->password,
            'status' => User::STATUS_ACTIVE
        );

        if (Auth::attempt($credentials))
        {
           $user=Auth::user();
           session()->put('access_token', $user->createToken(\Config::get('app.name'))->accessToken);
           $data['error'] = false;
           $data['msg'] = 'success';
           return json_encode($data);
        }
        else
        {
           $data['error'] = true;
           $data['msg'] = 'Something went wrong, Please contact admin';
           return json_encode($data);
        }

    }
    public function userlogout()
    {

        if ($user = Auth::user())
        {

            // Log the user out
            Auth::logout();
        }

        // Redirect to the users page
        return redirect('/')->with('success', 'You have successfully logged out!');
    }


}
