<?php
namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Api\BaseController;
use App\Http\Controllers\Api\GameController;
use Illuminate\Http\Request;
use App\Models\Games;
use App\Models\User;
use App\Models\SingleDigit;
use App\Models\SinglePana;
use App\Models\DoublePana;
use App\Models\TriplePana;
use App\Models\StarlineGames;
use App\Models\MainSetting;
use App\Models\Withdraw;

use App\Models\UserBid;
use App\Models\GameType;
use App\Models\TransactionHistory;
use App\Models\StarlineUserBid;
use App\Traits\CommonTraits;
use App\Services\CommonService;
use Session;
use DB;
use Hash;

class DashboardController extends BaseController
{

    use CommonTraits;
    protected $commonservice;
    public function __construct(CommonService $commonservice){
        $this->commonservice = $commonservice;
    }
    public function userdashboard(Request $request){

        //$response=$this->apiGetRequest('gameList','');
        $response= $this->commonservice->getGameList($request);


        $gameList = json_encode($response['result']);

        $setting=MainSetting::first();
        $start_time=strtotime(date('Y-m-d').' '.$setting->withdrawal_open_time);
        $end_time=strtotime(date('Y-m-d').' '.$setting->withdrawal_close_time);
	    return view('userPanel.dashboard.dashboard',compact('gameList','start_time','end_time'));

      

    }
    public function starlineGameList(Request $request){

        $List = $this->commonservice->getStarlineGameList($request);
      

        $gameList = json_encode($List['result']);
         
         return view('userPanel.starline.games',compact('gameList'));

      

   }
    public function gameType($id){

       $user=User::find(\Auth::user()->id);
       $game=Games::find($id);
       if($user->status == 'blocked'){

          return redirect('/userdashboard')->with('error','You can not play the game, Please contact admin');
       }

       if($user->betting == 'no'){

          return redirect('/userdashboard')->with('error','You can not play the game, Please contact admin');
       }

      $market_time=json_decode($game->market_time,true);
      if($market_time[date('l')]['market_open'] == '1'){

                if(time() > strtotime(date('Y-m-d').' '.$market_time[date('l')]['close_time'])){

                     return redirect('/userdashboard')->with('error','Game play time is closed.');
                }

      }else{

         return redirect('/userdashboard')->with('error','This game is off for today.');
       }
       return view('userPanel.dashboard.gameType',compact('user','game'));

    }
    public function starlineGameType($id){

      $user=User::find(\Auth::user()->id);
      $game=StarlineGames::find($id);
      if($user->status == 'blocked'){

         return redirect('/starlineGameList')->with('error','You can not play the game, Please contact admin');
      }

      if($user->betting == 'no'){

         return redirect('/starlineGameList')->with('error','You can not play the game, Please contact admin');
      }

     //$market_time=json_decode($game->market_time,true);
     if($game->market_open  == 'active'){

               if(time() > strtotime(date('Y-m-d').' '.$game->open_time)){

                    return redirect('/starlineGameList')->with('error','Game play time is closed.');
               }

     }else{

        return redirect('/starlineGameList')->with('error','This game is off for today.');
      }
      return view('userPanel.starline.gamesType',compact('user','game'));

   }
    public function bid($id,$type){

       //dd($type);
       $user=User::find(\Auth::user()->id);
       $game=Games::find($id);
       if($user->status == 'blocked'){

          return redirect($id.'/gameType')->with('error','You can not play the game, Please contact admin');
       }

       if($user->betting == 'no'){

          return redirect($id.'/gameType')->with('error','You can not play the game, Please contact admin');
       }

      $market_time=json_decode($game->market_time,true);
      if($market_time[date('l')]['market_open'] == '1'){

                if(time() > strtotime(date('Y-m-d').' '.$market_time[date('l')]['close_time'])){

                     return redirect($id.'/gameType')->with('error','Game play time is closed.');
                }

      }else{

         return redirect($id.'/gameType')->with('error','This game is off for today.');
       }

       if(time() > strtotime(date('Y-m-d').' '.$market_time[date('l')]['open_time']) && ($type == '2' || $type == '7')){

            return redirect($id.'/gameType')->with('error','Open time is over, you can not play this type of game.');
       }
       $open_time=$market_time[date('l')]['open_time'];
       $close_time=$market_time[date('l')]['close_time'];
       $singleDigit=SingleDigit::all();
       $singlePana=SinglePana::all();
       $doublePana=DoublePana::all();
       $triplePana=TriplePana::all();
       return view('userPanel.dashboard.createBid',compact('user','game','type','open_time','close_time','singleDigit','singlePana','doublePana','triplePana'));

    }
    public function starlineBid($id,$type){

      //dd($type);
      $user=User::find(\Auth::user()->id);
      $game=StarlineGames::find($id);
      if($user->status == 'blocked'){

         return redirect($id.'/starlineGameType')->with('error','You can not play the game, Please contact admin');
      }

      if($user->betting == 'no'){

         return redirect($id.'/starlineGameType')->with('error','You can not play the game, Please contact admin');
      }

     $market_time=json_decode($game->market_time,true);
     if($game->market_open == 'active'){

               if(time() > strtotime(date('Y-m-d').' '.$game->open_time)){

                    return redirect($id.'/starlineGameType')->with('error','Game play time is closed.');
               }

     }else{

        return redirect($id.'/starlineGameType')->with('error','This game is off for today.');
      }


      $open_time=$game->open_time;
      $singleDigit=SingleDigit::all();
      $singlePana=SinglePana::all();
      $doublePana=DoublePana::all();
      $triplePana=TriplePana::all();
      return view('userPanel.starline.createBid',compact('user','game','type','open_time','singleDigit','singlePana','doublePana','triplePana'));

   }
    public function bidProccess(Request $request){

       $id=$request->game_id;
       $game=Games::find($id);
       $user=User::find(\Auth::user()->id);
       $setting=MainSetting::first();
       $type=$request->game_type;
       if($user->status == 'blocked'){

          $data['error'] =true;
          $data['msg'] ='You can not play the game, Please contact admin';
          return json_encode($data);
       }

       if($user->betting == 'no'){
          $data['error'] =true;
          $data['msg'] ='You can not play the game, Please contact admin';
          return json_encode($data);
       }

      $market_time=json_decode($game->market_time,true);
      if($market_time[date('l')]['market_open'] == '1'){

                if(time() > strtotime(date('Y-m-d').' '.$market_time[date('l')]['close_time'])){
                     $data['error'] =true;
                     $data['msg'] ='Game play time is closed';
                     return json_encode($data);
                }

      }else{
         $data['error'] =true;
         $data['msg'] ='This game is off for today.';
         return json_encode($data);
       }

       if(time() > strtotime(date('Y-m-d').' '.$market_time[date('l')]['open_time']) && ($type == '2' || $type == '7')){
            $data['error'] =true;
            $data['msg'] ='Open time is over, you can not play this type of game.';
            return json_encode($data);
       }

       if($request->points < $setting->min_bid_amount){
            $data['error'] =true;
            $data['msg'] ='Point should be greater than '.$setting->min_bid_amount;
            return json_encode($data);
       }

       if($request->points > $setting->max_bid_amount){
            $data['error'] =true;
            $data['msg'] ='Point should be less than '.$setting->max_bid_amount;
            return json_encode($data);
       }

       $bids=json_decode($request->bids,true);
       $available_points = $request->available_points;
       if($available_points > $request->points){
       array_push($bids,array("open_digit" => $request->open_digit,
                              "close_digit" => $request->close_digit,
                              "open_pana" => $request->open_pana,
                              "close_pana" => $request->close_pana,
                              "session" => $request->market_type,
                              "points" => $request->points,
                              "id" => $request->count,
                              ));

           $data['error'] =false;
           $data['msg'] ='success';
           $data['bids'] =json_encode($bids);
           $data['available_points'] = $available_points - $request->points;

       }else{

           $data['error'] =true;
           $data['msg'] ='Not Enough bid to place this bid.';
       }
       return json_encode($data);
    }
    public function starlineBidProccess(Request $request){

      $id=$request->game_id;
      $game=StarlineGames::find($id);
      $user=User::find(\Auth::user()->id);
      $setting=MainSetting::first();
      $type=$request->game_type;
      if($user->status == 'blocked'){

         $data['error'] =true;
         $data['msg'] ='You can not play the game, Please contact admin';
         return json_encode($data);
      }

      if($user->betting == 'no'){
         $data['error'] =true;
         $data['msg'] ='You can not play the game, Please contact admin';
         return json_encode($data);
      }

     //$market_time=json_decode($game->market_time,true);
     if($game->market_open == 'active'){

               if(time() > strtotime(date('Y-m-d').' '.$game->open_time)){
                    $data['error'] =true;
                    $data['msg'] ='Game play time is closed';
                    return json_encode($data);
               }

     }else{
        $data['error'] =true;
        $data['msg'] ='This game is off for today.';
        return json_encode($data);
      }


      if($request->points < $setting->min_bid_amount){
           $data['error'] =true;
           $data['msg'] ='Point should be greater than '.$setting->min_bid_amount;
           return json_encode($data);
      }

      if($request->points > $setting->max_bid_amount){
           $data['error'] =true;
           $data['msg'] ='Point should be less than '.$setting->max_bid_amount;
           return json_encode($data);
      }

      $bids=json_decode($request->bids,true);
      $available_points = $request->available_points;
      if($available_points > $request->points){
      array_push($bids,array("open_digit" => $request->open_digit,
                             "open_pana" => $request->open_pana,
                             "points" => $request->points,
                             "id" => $request->count,
                             ));

          $data['error'] =false;
          $data['msg'] ='success';
          $data['bids'] =json_encode($bids);
          $data['available_points'] = $available_points - $request->points;

      }else{

          $data['error'] =true;
          $data['msg'] ='Not Enough bid to place this bid.';
      }
      return json_encode($data);
   }
    public function removeBid(Request $request){

       $bids=json_decode($request->bids,true);
       foreach($bids as $key => $value){
         if($request->count == $value['id']){
            $available_points = $request->available_points + $value['points'];
            unset($bids[$key]);
         }

       }

       $data['error'] =false;
       $data['msg'] ='success';
       $data['bids'] =json_encode($bids);
       $data['available_points'] = $available_points;
       return json_encode($data);

    }
    public function transfer(Request $request){

       $setting=MainSetting::first();
       if($request->amount < $setting->min_transfer){
            $data['error'] =true;
            $data['message'] ='Transfer points should be greater than '.$setting->min_transfer;
            return json_encode($data);
       }
       if($request->amount > $setting->max_transfer){
            $data['error'] =true;
            $data['message'] ='Transfer points should be less than '.$setting->max_transfer;
            return json_encode($data);
       }
       $response=$this->apiPostRequest('transfer',array("phone_number" => $request->transfer_number,"amount" => $request->amount));
       if($response->error == false){

	       return response()->json(['error' => false, 'message' => 'success']);

       }else{
              return response()->json(['error' => true, 'message' => $response->message]);
       }

    }
    public function withdraw(Request $request){

       $setting=MainSetting::first();
       if($request->amount < $setting->min_withdrawal){
            $data['error'] =true;
            $data['message'] ='Withdraw points should be greater than '.$setting->min_withdrawal;
            return json_encode($data);
       }
       if($request->amount > $setting->max_withdrawal){
            $data['error'] =true;
            $data['message'] ='Withdraw points should be less than '.$setting->max_withdrawal;
            return json_encode($data);
       }

       if($request->payment_method == '1'){
        $number=\Auth::user()->paytm_number;
       }else if($request->payment_method == '2'){
       $number=\Auth::user()->googlepay_number;
       }else{
       $number=\Auth::user()->phonepay_number;

       }

       $response=$this->apiPostRequest('withdrawRequest',array("payment_method" => $request->payment_method,"amount" => $request->amount,'transfer_number' =>$number));
       if($response->error == false){

	       return response()->json(['error' => false, 'message' => 'success']);

       }else{
              return response()->json(['error' => true, 'message' => $response->message]);
       }

    }
    public function withdrawTiming(Request $request){

       $setting=MainSetting::first();
       $current_time=time();
       $start_time=strtotime(date('Y-m-d').' '.$setting->withdrawal_open_time);
       $end_time=strtotime(date('Y-m-d').' '.$setting->withdrawal_close_time);

       if($current_time > $start_time && $current_time < $end_time){
         return response()->json(['error' => false, 'message' => 'success']);
       }else{

          return response()->json(['error' => true, 'message' => 'withdraw time is over!']);
       }

    }
    public function createBid(Request $request){

      $bid_list = json_decode($request->bid_list);

        foreach ($bid_list as $key => $value) {
            if ($request->game_type_id == '2') {


                $jodi = str_split($value->open_digit);

                $open_digit = $jodi[0];
                $close_digit = $jodi[1];
                $open_pana = '';
                $close_pana = '';

            } else if ($request->game_type_id == '7') { //full sangum

                $open_digit = $this->sum($value->open_pana);
                $close_digit = $this->sum($value->close_pana);
                $open_pana = $value->open_pana;
                $close_pana = $value->close_pana;

            } else if ($request->game_type_id == '6' || $request->game_type_id == '1') {

                $open_digit = $value->open_digit;
                $close_digit = $value->close_digit;
                $open_pana = $value->open_pana;
                $close_pana = $value->close_pana;

            } else if ($request->game_type_id == '3' || $request->game_type_id == '4' || $request->game_type_id == '5') {

                $open_digit = $this->sum($value->open_pana);
                $close_digit = $this->sum($value->close_pana);
                $open_pana = $value->open_pana;
                $close_pana = $value->close_pana;

            }

            $tx_number = random_int(100000, 999999);
            $bid = UserBid::create([

                'user_id' => \Auth::user()->id,
                'game_id' => $request->game_id,
                'tx_id' => $tx_number,
                'game_type_id' => $request->game_type_id,
                'session' => $value->session,
                'open_pana' => $open_pana,
                'open_digit' => $open_digit,
                'close_pana' => $close_pana,
                'close_digit' => $close_digit,
                'points' => $value->points,
                'result_declare' => '0',
                'is_win' => '0',
                'wining_amount' => 0,
                'bid_date' => date('Y-m-d')

            ]);
            $bid->save();

            $game = Games::find($request->game_id);
            $gametype = GameType::find($request->game_type_id);
            $fund = TransactionHistory::create([

                'admin_id' => 0,
                'user_id' => \Auth::user()->id,
                'amount' => $value->points,
                'transaction_note' => 'Bid Placed For ' . $game->game_name . '(' . $gametype->type . ')',
                'transfer_note' => '',
                'type' => 'debit',
                'date' => date('Y-m-d H:i:s'),
                'tx_req_number' => $tx_number,

            ]);
            $fund->save();

            $user = User::find(\Auth::user()->id);
            $user->available_balance = $user->available_balance - $value->points;
            $user->save();

        }

        return $this->sendResponse([], 'Bid Created Succesfully!');

    }
    public function starlineCreateBid(Request $request){

      //$response=$this->apiPostRequest('starlineCreateBid',array("game_id" => $request->game_id,"game_type_id" => $request->game_type_id,'bid_list' => str_replace("null",'""',$request->bid_list)));
      //dd($response);



      $bid_list = json_decode($request->bid_list);
        
        foreach ($bid_list as $key => $value) {

            if ($request->game_type_id == '1') {

                $open_digit = $value->open_digit;
                $open_pana = $value->open_pana;

            } else if ($request->game_type_id == '3' || $request->game_type_id == '4' || $request->game_type_id == '5') {

                $open_digit = $this->sum($value->open_pana);
                $open_pana = $value->open_pana;

            }

            $tx_number = random_int(100000, 999999);
            $bid = StarlineUserBid::create([

                'user_id' => \Auth::user()->id,
                'game_id' => $request->game_id,
                'tx_id' => $tx_number,
                'game_type_id' => $request->game_type_id,
                'session' => 'open',
                'open_pana' => $open_pana,
                'open_digit' => $open_digit,
                'points' => $value->points,
                'result_declare' => '0',
                'is_win' => '0',
                'wining_amount' => 0,
                'bid_date' => date('Y-m-d')

            ]);
            $bid->save();

            $game = StarlineGames::find($request->game_id);
            $gametype = GameType::find($request->game_type_id);
            $fund = TransactionHistory::create([

                'admin_id' => 0,
                'user_id' => \Auth::user()->id,
                'amount' => $value->points,
                'transaction_note' => 'Bid Placed For ' . $game->game_name . '(' . $gametype->type . ')',
                'transfer_note' => '',
                'type' => 'debit',
                'date' => date('Y-m-d H:i:s'),
                'tx_req_number' => $tx_number,

            ]);
            $fund->save();

            $user = User::find(\Auth::user()->id);
            $user->available_balance = $user->available_balance - $value->points;
            $user->save();

        }

        return $this->sendResponse([], 'Bid Created Succesfully!');

      

   }
    public function bidHistory(Request $request){

       $bid = $this->commonservice->getBidHistory($request);

       
        if(!$bid){
	       return view('userPanel.bidHistory.bidHistory',['bid' => []]);
        } 

        return view('userPanel.bidHistory.bidHistory',compact('bid'));

      

    }
    public function winHistory(Request $request){

       

	    $win = $this->commonservice->getWinHistory($request);
                
	    
	    if (!$win) {
            
            return view('userPanel.winHistory.winHistory', ['win' => []]);
        }

        
        return view('userPanel.winHistory.winHistory', compact('win'));

       
    }
    public function starlineBidHistory(Request $request){

      

        $bid = $this->commonservice->getStarlineBidHistory($request);

        if (!$bid) {
            return view('userPanel.starline.bidhistory',['bid' => []]);
        }

        return view('userPanel.starline.bidhistory',compact('bid'));

     

   }
   public function starlineWinHistory(Request $request){

     
        $win = $this->commonservice->getStarlineWinHistory($request); 
        if (!$win) { 
            return view('userPanel.starline.winHistory', ['win' => []]);
        }

        return view('userPanel.starline.winHistory',compact('win'));

   }
    public function addNumber(Request $request){

       $user=User::find(\Auth::user()->id);

       if($request->type == '1'){
        $user->googlepay_number=$request->number;
       }else if($request->type == '2'){
        $user->phonepay_number=$request->number;
       }else{
        $user->paytm_number=$request->number;

       }
       $user->save();
       return response()->json(['error' => false, 'message' => 'Phone number updated successfully.']);
    }
    public function getBidHistory(Request $request){

       
        $bid = $this->commonservice->getBidHistory($request);

        if(!$bid){
            $view = \View::make('userPanel.bidHistory.bidHistoryPartial', ['win' => []]);
             
        } else {
	        $view = \View::make('userPanel.bidHistory.bidHistoryPartial',compact('win'));            
        }

        $html = $view->render();

        return response()->json(['error' => false, 'message' => 'success', 'html' => $html]);      

    }
    public function getWinHistory(Request $request){

       

	       $win = $this->commonservice->getWinHistory($request);

           if(!$win){
                $view = \View::make('userPanel.winHistory.winHistorypartial',['win' => []]);
           } else {
                $view = \View::make('userPanel.winHistory.winHistorypartial',compact('win')); 
           }
	       
               $html = $view->render();
               return response()->json(['error' => false, 'message' => 'success', 'html' => $html]);

       

    }
    public function starlineGetBidHistory(Request $request){
        $bid = $this->commonservice->getStarlineBidHistory($request);
        
        if(!$bid){
            $view = \View::make('userPanel.starline.bidHistoryPartial',['bid' => []]);
        } else {
            $view = \View::make('userPanel.starline.bidHistoryPartial',compact('bid'));
        }
        
        $html = $view->render();
        return response()->json(['error' => false, 'message' => 'success', 'html' => $html]);

      

   }
   public function starlineGetWinHistory(Request $request){

        $win = $this->commonservice->getStarlineWinHistory($request);

        if(!$win){
            $view = \View::make('userPanel.starline.winHistorypartial',['win' => []]);
        } else {
            $view = \View::make('userPanel.starline.winHistorypartial',compact('win'));
        }

         
        $html = $view->render();
        return response()->json(['error' => false, 'message' => 'success', 'html' => $html]);
        

   }
    public function wallet(Request $request){

       $wallet = $this->commonservice->getWalletHistory($request);

       //dd($wallet);
       $setting=MainSetting::first();
       

	       
	    $check = Withdraw::where('user_id','=', \Auth::user()->id)->orderBy('id','desc')->get();
        $user = User::select(DB::raw('username,phone_number'))->get();
        $arr=[];
        foreach($user as $key => $value){

            array_push($arr,["label" => $value->username,"value" => $value->phone_number]);

        }
        

        if(!$wallet){
            $wallet = [];
        }
	    return view('userPanel.wallet.wallet',compact('wallet','setting','check','arr'));

       

    }
    public function rate(Request $request){

      
        $gameRate = $this->commonservice->getGameRate($request);
	       
	    return view('userPanel.rate.gameRate',compact('gameRate'));



    }
    public function starlineRate(Request $request){      

        $gameRate = $this->commonservice->getStarlineGameRate($request);
         
        return view('userPanel.starline.rate',compact('gameRate'));      

   }
    public function userProfile(Request $request){

       //$user=User::find()
       return view('userPanel.userProfile.userProfile');

    }
    public function updateProfile(Request $request){


       $user=User::find(\Auth::user()->id);
       $user->username=$request->username;
       $user->email=$request->email;

       if ($request->hasfile('profile_pic')) {
            $file = $request->file('profile_pic');
            $actual_name = $request->file('profile_pic')->getClientOriginalName();
            $extension = $request->file('profile_pic')->extension();
            $filename = time() . '_' . $actual_name;
            $file->move(public_path() . '/asset/images/', $filename);

            $user->profile_picture =URL('/').'/asset/images/'.$filename;

            //dd('ok');
        }
        $user->save();
	 return redirect('userProfile');

    }
    public function gameTypeList(Request $request){


	  return view('userPanel.gameType.gameType');

    }
    public function changePassword(Request $request){


	  return view('userPanel.userProfile.changePassword');

    }
    public function submitChangePassword(Request $request){


        $profile=User::find(\Auth::user()->id);
        if (Hash::check($request->old_password, $profile->password)) {

        $profile->password=bcrypt($request->new_password);
        $profile->password_string = $request->new_password;
        $profile->save();
        return redirect('/changePassword')->with('succeess','Password changed successfully!');
        }else{
        return redirect('/changePassword')->with('error','Old password is wrong! Please check.');

        }

    }
    public function contactus(Request $request){

          $setting=MainSetting::first();
	  return view('userPanel.contactus.contactus',compact('setting'));

    }
    public function apiGetRequest($link,$parameters){


        $curl = curl_init();

	  curl_setopt_array($curl, array(
	  //CURLOPT_URL => 'https://game.laxmimatka.net/api/'.$link,
	  CURLOPT_URL => 'http://127.0.0.1:8000/api/'.$link,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'GET',
	  CURLOPT_HTTPHEADER => array(
	    'Authorization: Bearer '.Session::get('access_token'),
	    'Accept: application/json'
	  ),
	));
       $response = curl_exec($curl);

	curl_close($curl);
	return json_decode($response);


  }
  public function apiPostRequest($link,$parameters){


         $curl = curl_init();

	  curl_setopt_array($curl, array(
	  CURLOPT_URL => 'http://127.0.0.1:8000/api/'.$link,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => '',
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 0,
	  CURLOPT_FOLLOWLOCATION => true,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => 'POST',
	  CURLOPT_POSTFIELDS => $parameters,
	  CURLOPT_HTTPHEADER => array(
	    'Authorization: Bearer '.Session::get('access_token'),
	    'Accept: application/json',
	    'Content-Type: multipart/form-data'
	  ),
	));
       $response = curl_exec($curl);

	curl_close($curl);
	return json_decode($response);


  }



}
