<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Permission\Traits\HasRoles;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
//use Laravel\Passport\HasApiTokens;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    
    use HasRoles,HasFactory,SoftDeletes, HasApiTokens;
    //protected $guard_name = 'web';
    protected $guard_name = 'sanctum';
    
    

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'name',
            'email',
            'username',
            'password',
            'phone_number',
            'district_name',
            'flat_number',
            'address_lane1',
            'address_lane2',
            'area',
            'pin_code',
            'state',
            'security_pin',
            'betting',
            'transfer',
            'status',
            'bank_name',
            'branch_address',
            'account_holder_name',
            'account_number',
            'ifsc_code',
            'phonepay_number',
            'googlepay_number',
            'paytm_number',
            'available_balance',
            'role',
            'profile_picture',
            'device_token',
            'device_id',
            'password_string',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    
    protected $hidden = [
         'remember_token',
    ];

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at'
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

   
    const STATUS_ACTIVE = 'active';
    const STATUS_INACTIVE = 'inactive';
    const ROLE_ADMIN = 'admin';
    const ROLE_CLIENT = 'client';
    const YES = 'yes';
    const NO = 'no';
}
