<?php

namespace App\Services;

use Illuminate\Database\Query\Builder;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use App\Models\Games;
use App\Models\DeclareResult;
use App\Models\StarlineGames;
use App\Models\StarlineDeclareResult;
use App\Models\TransactionHistory;
use App\Models\GameRates;
use App\Models\UserBid;
use App\Models\StarlineUserBid;
use App\Models\StarlineGameRates;
use App\Models\SinglePana;
use App\Models\DoublePana;
use App\Models\HalfSangam;
use App\Models\FullSangam;

class CommonService extends Controller
{

	public function getGameList($request){
		$games = Games::where('status', '=', 'active')->get();
        $gameList['result'] = array();
        foreach ($games as $key => $value) {
            $declare = DeclareResult::where('declare_date', '=', date('Y-m-d'))->where('game_id', '=', $value->id)->first();
            if (!empty($declare)) {

                $open_number = ($declare->open_number == '') ? 'XXX-X' : $declare->open_number . '-' . $declare->open_result;
                $close_number = ($declare->close_number == '') ? 'X-XXX' : $declare->close_result . '-' . $declare->close_number;
            } else {

                $open_number = 'XXX-X';
                $close_number = 'X-XXX';
            }
            $market_time = json_decode($value->market_time, true);
            //dd($market_time);
            if ($market_time[date('l')]['market_open'] == '1') {

                array_push($gameList['result'], array('id' => $value->id, "game_name" => $value->game_name, "game_name_hindi" => $value->game_name_hindi, "open_time" => $market_time[date('l')]['open_time'], "close_time" => $market_time[date('l')]['close_time'], 'result' => $open_number . $close_number, 'open_today' => '1'));

            } else {

                array_push($gameList['result'], array('id' => $value->id, "game_name" => $value->game_name , "game_name_hindi" => $value->game_name_hindi, "open_time" => $market_time[date('l')]['open_time'], "close_time" => $market_time[date('l')]['close_time'], 'result' => $open_number . $close_number, 'open_today' => '0'));
            }
        }
        if (!empty($gameList['result'])) {
            foreach ($gameList['result'] as $key => $row) {
                $open_time[$key] = $row['open_time'];
            }

            array_multisort($open_time, SORT_ASC, $gameList['result']);
        }

        return $gameList;
	}

	public function getStarlineGameList($request){

		$games = StarlineGames::where('status', '=', 'active')->orderBy('open_time', 'asc')->get();
        $gameList['result'] = array();
        foreach ($games as $key => $value) {
            $declare = StarlineDeclareResult::where('declare_date', '=', date('Y-m-d'))->where('game_id', '=', $value->id)->first();
            if (!empty($declare)) {
                $open_number = ($declare->open_number == '') ? 'XXX-X' : $declare->open_number . '-' . $declare->open_result;
            } else {
                $open_number = 'XXX-X';
            }
            array_push($gameList['result'], array('id' => $value->id, "game_name" => $value->game_name, "game_name_hindi" => $value->game_name_hindi, "open_time" => $value->open_time, 'result' => $open_number, 'open_today' => ($value->market_open == 'active') ? '1' : '0'));
        }
        if (!empty($gameList['result'])) {
            foreach ($gameList['result'] as $key => $row) {
                $open_time[$key] = $row['open_time'];
            }
            array_multisort($open_time, SORT_ASC, $gameList['result']);
        }


		return $gameList;
	}

	public function getWalletHistory($request){
		return TransactionHistory::where('user_id','=',\Auth::user()->id)->orderBy('id','desc')->get();
	}

	public function getGameRate($request){
		$gamerate = GameRates::first();
        $rate = array(
            array('name' => 'Single Digit', 'value'=> $gamerate->single_digit_value_one . '-' . $gamerate->single_digit_value_two),
            array('name' => 'Jodi Digit', 'value'=> $gamerate->jodi_digit_value_one . '-' . $gamerate->jodi_digit_value_two),
            array('name' => 'Single Pana', 'value'=> $gamerate->single_pana_value_one . '-' . $gamerate->single_pana_value_two),
            array('name' => 'Double Pana', 'value'=> $gamerate->double_pana_value_one . '-' . $gamerate->double_pana_value_two),
            array('name' => 'Triple Pana', 'value'=> $gamerate->triple_pana_value_one . '-' . $gamerate->triple_pana_value_two),
            array('name' => 'Half Sangam', 'value'=> $gamerate->half_sangam_value_one . '-' . $gamerate->half_sangam_value_two),
            array('name' => 'Full Sangam', 'value'=> $gamerate->full_sangam_value_one . '-' . $gamerate->full_sangam_value_two),
        );

        return $rate;
	}

	public function getStarlineGameRate($request){
		$gamerate = StarlineGameRates::first();
        $rate = array(
            array('name' => 'Single Digit', 'value' => $gamerate->single_digit_value_one . '-' . $gamerate->single_digit_value_two),
            array('name' => 'Single Pana', 'value' => $gamerate->single_pana_value_one . '-' . $gamerate->single_pana_value_two),
            array('name' => 'Double Pana', 'value' => $gamerate->double_pana_value_one . '-' . $gamerate->double_pana_value_two),
            array('name' => 'Triple Pana', 'value' => $gamerate->triple_pana_value_one . '-' . $gamerate->triple_pana_value_two),
        );

        return $rate;
	}

	public function getWinHistory($request){
		return $query = UserBid::select(
               'users_bid.*',
               'games.game_name',
               'game_type.type',
               //DB::raw("IF(users_bid.game_type_id = 2, CONCAT(users_bid.open_digit, users_bid.close_digit), open_digit) AS open_digit"),
               //DB::raw("DATE_FORMAT(users_bid.created_at, '%Y-%m-%d %h:%i:%s %p') AS bid_date")
           )
            ->leftJoin('games','games.id','=','users_bid.game_id')
            ->leftJoin('game_type','users_bid.game_type_id','=','game_type.id')
            ->where('users_bid.user_id','=',\Auth::user()->id)
            ->where('users_bid.is_win','=','1')
            ->when($request->from_date, function ($query, $from_date) {
                return $query->whereDate('users_bid.bid_date', '>=', $from_date);
            })
            ->when($request->to_date, function ($query, $to_date) {
                return $query->whereDate('users_bid.bid_date', '<=', $to_date);
            })
            ->orderBy('users_bid.id','desc')
            ->get();

            

            

	}

	public function getStarlineBidHistory($request){
		return StarlineUserBid::select(
                        DB::raw('starline_user_bid.*,starline_games.game_name,game_type.type'),
                        DB::raw("DATE_FORMAT(starline_user_bid.created_at, '%Y-%m-%d %h:%i:%s %p') AS bid_date")
                    )

                    ->leftJoin('starline_games','starline_user_bid.game_id','=','starline_games.id')
                    ->leftJoin('game_type','starline_user_bid.game_type_id','=','game_type.id')
                    ->where('starline_user_bid.user_id','=',\Auth::user()->id)
                   ->when($request->from_date, function ($query, $from_date) {
                       return $query->whereDate('starline_user_bid.bid_date', '>=', $from_date);
                   })
                   ->when($request->to_date, function ($query, $to_date) {
                       return $query->whereDate('starline_user_bid.bid_date', '<=', $to_date);
                   })
                    ->orderBy('starline_user_bid.id','desc')
                    ->get();
	}

	public function getStarlineWinHistory($request){
		return StarlineUserBid::select(DB::raw('starline_user_bid.*,starline_games.game_name,starline_games.open_time,game_type.type'))
            ->leftJoin('starline_games','starline_user_bid.game_id','=','starline_games.id')
            ->leftJoin('game_type','starline_user_bid.game_type_id','=','game_type.id')
            ->where('starline_user_bid.user_id','=',\Auth::user()->id)
            ->where('starline_user_bid.is_win','=','1')
            ->when($request->from_date, function ($query, $from_date) {
                return $query->whereDate('starline_user_bid.bid_date', '>=', $from_date);
            })
            ->when($request->to_date, function ($query, $to_date) {
                return $query->whereDate('starline_user_bid.bid_date', '<=', $to_date);
            })
            ->orderBy('starline_user_bid.id','desc')
            ->get();
	}

	public function getBidHistory($request){
		return UserBid::select(
           'users_bid.*',
           'games.game_name',
           'game_type.type',
           //DB::raw("IF(users_bid.game_type_id = 2, CONCAT(users_bid.open_digit, users_bid.close_digit), open_digit) AS open_digit"),
           DB::raw("DATE_FORMAT(users_bid.created_at, '%Y-%m-%d %h:%i:%s %p') AS bid_date")
       )
           ->leftJoin('games', 'users_bid.game_id', '=', 'games.id')
           ->leftJoin('game_type', 'users_bid.game_type_id', '=', 'game_type.id')
           ->where('users_bid.user_id', '=', \Auth::user()->id)
           ->when($request->from_date, function ($query, $from_date) {
               return $query->whereDate('users_bid.bid_date', '>=', $from_date);
           })
           ->when($request->to_date, function ($query, $to_date) {
               return $query->whereDate('users_bid.bid_date', '<=', $to_date);
           })
           ->orderBy('users_bid.id', 'desc')
           ->get();
	}

    public function getSinglePanaNumbers(){
        return SinglePana::
            select('digits', DB::raw('JSON_ARRAYAGG(number) as number'))
            ->groupBy('digits')
            ->orderBy('digits')
            ->get();
    }

    public function getDoublePanaNumbers(){
        return DoublePana::
            select('digits', DB::raw('JSON_ARRAYAGG(number) as number'))
            ->groupBy('digits')
            ->orderBy('digits')
            ->get();
    }

    public function getHalfSangamNumbers(){
        return HalfSangam::
            select('type', DB::raw('JSON_ARRAYAGG(CAST(number AS UNSIGNED)) as number'))
            ->groupBy('type')
            ->orderBy('type')
            ->get();
    }

    public function getFullSangamNumbers(){
        return FullSangam::
            select('type', DB::raw('JSON_ARRAYAGG(CAST(number AS UNSIGNED)) as number'))
            ->groupBy('type')
            ->orderBy('type')
            ->get();
    }

    public function getGamedetails($game,$id){
        if($game == 'game'){
            return Games::find($id);
        } else {
            return StarlineGames::find($id);            
        }
    }

}