<?php
namespace App\Traits;

use Carbon\Carbon;
use App\Models\Games;
use App\Models\DeclareResult;
use App\Models\StarlineGames;
use App\Models\StarlineDeclareResult;
use App\Models\TransactionHistory;
use App\Models\GameRates;
use App\Models\UserBid;
use App\Models\StarlineUserBid;
use App\Models\StarlineGameRates;
use DB;


trait CommonTraits{

	public function getLastTenWeek(){
        $weeks = [];

        $currentDate = Carbon::now()->startOfWeek(Carbon::MONDAY);

        
        for ($i = 0; $i < 10; $i++) {
            $startOfWeek = $currentDate->copy()->subWeeks($i)->startOfWeek(Carbon::MONDAY);
            $endOfWeek = $startOfWeek->copy()->endOfWeek(Carbon::SUNDAY);

            $weeks[] = [
                'week_start' => $startOfWeek->toDateString(),
                'week_end' => $endOfWeek->toDateString()
            ];
        }
        
        $weeks = array_reverse($weeks);

        return $weeks;
    }

    public function getWeekDates($start,$end){
        $startDate = Carbon::parse($start);
        $endDate = Carbon::parse($end);

        $dates = [];

        for ($date = $startDate; $date->lte($endDate); $date->addDay()) {
            $dates[] = $date->toDateString();
        }

        return $dates;
    }


    public function startJobScript(){
        //echo 'test ';
        $daemon = `ps -A -o pid,cmd | grep queue:work | grep -v grep |head -n 1 | awk '{print $1}'`;
        //echo $daemon;
        if ($daemon == '') {
            shell_exec('php artisan queue:work --tries=3 --delay=100 & > /dev/null');
            //shell_exec('php artisan queue:work');
            
        } else {
            //echo 'if else';
        }
    }

    public function getMarketTime($markettime){
        $day = Carbon::now()->format('l');
        $mt = json_decode($markettime);
        if($mt){
            return $mt->$day;
        } else {
            return [];
        }

    }
	
}