<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->string('name')->nullable();
            $table->string('email')->nullable();
            $table->string('username')->nullable();
            $table->string('password')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('district_name')->nullable();
            $table->string('flat_number')->nullable();
            $table->longText('address_lane1')->nullable();
            $table->longText('address_lane2')->nullable();
            $table->string('area')->nullable();
            $table->string('pin_code')->nullable();
            $table->string('state')->nullable();
            $table->string('security_pin')->nullable();
            $table->enum('betting',['yes','no'])->default('yes');
            $table->enum('transfer',['yes','no'])->default('yes');
            $table->enum('status',['active','blocked'])->default('active');
            $table->string('bank_name')->nullable();
            $table->longText('branch_address')->nullable();
            $table->string('account_holder_name')->nullable();
            $table->string('account_number')->nullable();
            $table->string('ifsc_code')->nullable();
            $table->string('phonepay_number')->nullable();
            $table->string('googlepay_number')->nullable();
            $table->string('paytm_number')->nullable();
            $table->decimal('available_balance', 10,2)->default(0);
            $table->string('password_string')->nullable();
            $table->enum('role',['admin','client'])->default('client');
            $table->longText('profile_picture')->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
