<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMainSettingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('main_setting', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->integer('account_id')->default(0);
            $table->string('account_holder_name')->nullable();
            $table->string('account_number')->nullable();
            $table->string('ifsc_code')->nullable();
            $table->string('google_upi_id')->nullable();
            $table->string('phonepe_upi_id')->nullable();
            $table->string('other_upi_id')->nullable();
            $table->longText('app_link')->nullable();
            $table->longText('share_message')->nullable();
            $table->longText('referral_msg')->nullable();
            $table->longText('login_msg')->nullable();
            $table->longText('maintainence_msg')->nullable();
            $table->enum('is_maintainence',['1','0'])->default('1');
            $table->string('min_deposit')->default(0);
            $table->string('max_deposit')->default(0);
            $table->string('min_withdrawal')->default(0);
            $table->string('max_withdrawal')->default(0);
            $table->string('min_transfer')->default(0);
            $table->string('max_transfer')->default(0);
            $table->string('min_bid_amount')->default(0);
            $table->string('max_bid_amount')->default(0);
            $table->string('welcome_bonus')->default(0);
            $table->string('referral_points')->default(0);
            $table->string('withdrawal_open_time')->nullable();
            $table->string('withdrawal_close_time')->nullable();
            $table->enum('global_betting',['1','0'])->default('1');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('main_setting');
    }
}
