<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateMainSettingTableAddContactSetting extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('main_setting', function (Blueprint $table) {
        
            $table->string('mobile_number')->nullable()->after('global_betting');
            $table->string('telegram_number')->nullable()->after('mobile_number');
            $table->string('whatsapp_number')->nullable()->after('telegram_number');
            $table->string('landline_1')->nullable()->after('whatsapp_number');
            $table->string('landline_2')->nullable()->after('landline_1');
            $table->string('email_1')->nullable()->after('landline_2');
            $table->string('email_2')->nullable()->after('email_1');
            $table->longText('website')->nullable()->after('email_2');
            $table->string('facebook')->nullable()->after('website');
            $table->string('twitter')->nullable()->after('facebook');
            $table->string('youtube')->nullable()->after('twitter');
            $table->string('google_plus')->nullable()->after('youtube');
            $table->string('instagram')->nullable()->after('google_plus');
            $table->string('latitude')->nullable()->after('instagram');
            $table->string('longitude')->nullable()->after('latitude');
            $table->string('address')->nullable()->after('longitude');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('main_setting', function (Blueprint $table) {
        
            $table->dropColumn([
                'mobile_number',
                'telegram_number',
                'whatsapp_number',
                'landline_1',
                'landline_2',
                'email_1',
                'email_2',
                'facebook',
                'twitter',
                'youtube',
                'google_plus',
                'instagram',
                'latitude',
                'longitude',
                'address',
            ]);
        });
    }
}
