<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserTransactionHistoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transaction_history', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->integer('admin_id')->default(0);
            $table->integer('user_id')->default(0);
            $table->integer('result_id')->default(0);
            $table->string('amount')->default(0);
            $table->enum('payment_method',['0','1','2','3'])->default(0);
            $table->string('transaction_id')->nullable();
            $table->string('transaction_note')->nullable();
            $table->string('transfer_note')->nullable();
            $table->datetime('date')->nullable();
            $table->string('tx_req_number')->nullable();
            $table->enum('type',['credit','debit'])->nullable();
            $table->enum('auto_deposit',['0','1'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transaction_history');
    }
}
