<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersBidTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users_bid', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->integer('user_id')->default(0);
            $table->integer('game_id')->default(0);
            $table->integer('tx_id')->default(0);
            $table->integer('result_id')->default(0);
            $table->integer('game_type_id')->default(0);
            $table->enum('session',['none','open','close'])->default('open');
            $table->string('open_pana')->nullable();
            $table->string('open_digit')->nullable();
            $table->string('close_pana')->nullable();
            $table->string('close_digit')->nullable();
            $table->string('points')->nullable();
            $table->enum('result_declare',['0','1'])->default('1');
            $table->enum('is_win',['0','1'])->default('0');
            $table->string('wining_amount')->nullable();
            $table->date('bid_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users_bid');
    }
}
