<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWithdrawTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('withdraw', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('user_id')->default(0);
            $table->string('amount')->default(0);
            $table->string('request_number')->nullable();
            $table->string('payment_method')->nullable();
            $table->string('transfer_number')->nullable();
            $table->datetime('request_date')->nullable();
            $table->datetime('accept_date')->nullable();
            $table->enum('status',['0','1','3'])->default('3');
            $table->longText('remark')->nullable();
            $table->longText('receipt')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('withdraw');
    }
}
