@extends('admin')
@section('content')
 <div class="page-content">
                 <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="page-title-box d-flex align-items-center justify-content-between">
                           <h4 class="mb-0 font-size-18">Dashboard</h4>
                           <div class="page-title-right">
                              <ol class="breadcrumb m-0">
                                 <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboards</a></li>
                                 <li class="breadcrumb-item active">Dashboard</li>
                              </ol>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-xl-4">
                        <div class="card overflow-hidden">
                           <div class="bg-soft-primary">
                              <div class="row">
                                 <div class="col-7">
                                    <div class="text-primary p-3">
                                       <h5 class="text-primary">Welcome Back !</h5>
                                       <p>Admin Dashboard</p>
                                    </div>
                                 </div>
                                 <div class="col-5 align-self-end">
                                    <img src="{{ asset('asset/images/user.png') }}" alt="" class="img-fluid">
                                 </div>
                              </div>
                           </div>
                           <div class="card-body pt-0 dboard_pro_mht">
                              <div class="row">
                                 <div class="col-sm-4">
                                    <div class="avatar-md profile-user-wid mb-4">
                                       <img src="{{ asset('asset/images/user.png') }}" alt="" class="img-thumbnail rounded-circle">
                                    </div>
                                    <h5 class="font-size-15 text-truncate">
                                       {{ \Auth::user()->username}}								
                                    </h5>
                                    <p class="text-muted mb-0 text-truncate">Admin</p>
                                 </div>
                                 <div class="col-sm-8">
                                    <div class="pt-4">
                                       <div class="row">
                                          <div class="col-6">
                                             <a href="{{ route('unapprovedUsers') }}">
                                                <h5 class="font-size-15">{{ $unapprove }} </h5>
                                                <p class="text-muted mb-0">Unapproved Users</p>
                                             </a>
                                          </div>
                                          <div class="col-6">
                                             <a href="{{ route('users') }}">
                                                <h5 class="font-size-15">{{ $approve_user }}</h5>
                                                <p class="text-muted mb-0">Approved Users</p>
                                             </a>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title mb-4">Market Bid Details</h4>
                              <div class="row">
                                 <div class="col-sm-12">
                                    <p class="text-muted">Game Name</p>
                                    <form id="getMarketBidFrm" name="getMarketBidFrm" method="post">
                                       <div class="form-group">
                                          <div class="input-group">
                                             <select id="game_name" name="game_name" class="form-control getMarketBid">
                                                <option value=''>-Select Game Name-</option>
                                                <option value='all'>All</option>
                                                @foreach($gameList as $key => $value)
                                                <option value="{{ $value['id'] }}">{{ $value['game_name'] }}</option>
                                                @endforeach
                                             </select>
                                          </div>
                                       </div>
                                    </form>
                                    <h3 id="bid_amt">N/A</h3>
                                    <p class="text-muted">Market Amount</p>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="col-xl-8">
                        <div class="row">
                           <div class="col-md-4">
                              <div class="card mini-stats-wid">
                                 <a href="{{ route('users') }}">
                                    <div class="card-body">
                                       <div class="media">
                                          <div class="media-body">
                                             <p class="text-muted font-weight-medium">Users</p>
                                             <h4 class="mb-0">{{ $total_user }}</h4>
                                          </div>
                                          <div class="mini-stat-icon avatar-sm rounded-circle bg-primary align-self-center">
                                             <span class="avatar-title">
                                             <i class="bx bx-user font-size-24"></i>
                                             </span>
                                          </div>
                                       </div>
                                    </div>
                                 </a>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="card mini-stats-wid">
                                 <a href="{{ route('gameName') }}">
                                    <div class="card-body">
                                       <div class="media">
                                          <div class="media-body">
                                             <p class="text-muted font-weight-medium">Games</p>
                                             <h4 class="mb-0">{{ $game_count }}</h4>
                                          </div>
                                          <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                             <span class="avatar-title rounded-circle bg-primary">
                                             <i class="bx bx-archive-in font-size-24"></i>
                                             </span>
                                          </div>
                                       </div>
                                    </div>
                                 </a>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="card mini-stats-wid">
                                 <div class="card-body">
                                    <div class="media">
                                       <div class="media-body">
                                          <p class="text-muted font-weight-medium">Bid Amount</p>
                                          <h4 class="mb-0">{{ $bid_amount }}</h4>
                                       </div>
                                       <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                          <span class="avatar-title rounded-circle bg-primary">
                                          <i class="bx bx-purchase-tag-alt font-size-24"></i>
                                          </span>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title mb-4">Total Bids On Single Ank Of Date {{ date('d M Y') }}</h4>
                              <form id="searchBidFrm" name="searchBidFrm" method="post">
                                 <div class="row">
                                    <div class="form-group col-md-5">
                                       <label>Game Name</label>		
                                       <select id="bid_game_name" name="bid_game_name" class="form-control">
                                          <option value=''>-Select Game Name-</option>
                                          @foreach($gameList as $key => $value)
                                                <option value="{{ $value['id'] }}">{{ $value['game_name'] }}</option>
                                                @endforeach
                                       </select>
                                    </div>
                                    <div class="form-group col-md-5">
                                       <label>Market Time</label>		
                                       <select id="market_status" name="market_status" class="form-control">
                                          <option value=''>-Select Market Time-</option>
                                          <option value="1">Open Market</option>
                                          <option value="2">Close Market</option>
                                       </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                       <label>&nbsp;</label>	
                                       <button type="submit" class="btn btn-primary btn-block" id="searchBtn" name="searchBtn">Get</button>
                                    </div>
                                 </div>
                              </form>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-12">
                              <div id="search">
                                 <div class="row-2_5 tot_bit_boxs">
                                    <div class="col-md-2_5">
                                       <div class="card border card_0">
                                          <div class="card-header bg-transparent card_0">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid0">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total0">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>0</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_1">
                                          <div class="card-header bg-transparent card_1">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid1">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total1">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>1</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_2">
                                          <div class="card-header bg-transparent card_2">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid2">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total2">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>2</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_3">
                                          <div class="card-header bg-transparent card_3">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid3">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total3">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>3</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_4">
                                          <div class="card-header bg-transparent card_4">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid4">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total4">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>4</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_5">
                                          <div class="card-header bg-transparent card_5">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid5">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total5">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>5</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_6">
                                          <div class="card-header bg-transparent card_6">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid6">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total6">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>6</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_7">
                                          <div class="card-header bg-transparent card_7">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid7">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total7">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>7</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_8">
                                          <div class="card-header bg-transparent card_8">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid8">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total8">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>8</span></div>
                                       </div>
                                    </div>
                                    <div class="col-md-2_5">
                                       <div class="card border card_9">
                                          <div class="card-header bg-transparent card_9">
                                             <h5 class="my-0 text-primary">Total Bids <span id="bid9">0</span></h5>
                                          </div>
                                          <div class="card-body">
                                             <h2 id="total9">0</h2>
                                             <h5 class="card-title mt-0">Total Bid Amount</h5>
                                          </div>
                                          <div class="card-footer-ank">Ank <span>9</span></div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <div class="card">
                        <div class="card-body">
                           <h4 class="card-title">Fund Request Auto Deposit History</h4>
                           <div class="dt-ext table-responsive demo-gallery">
                              <table class="table table-striped table-bordered " id="autoFundRequestList">
                                 <thead>
                                    <tr>
                                       <th>#</th>
                                       <th>User Name</th>
                                       <th>Amount</th>
                                       <th>Request No.</th>
                                       <th>Txn Id</th>
                                       <th>Reject Remark</th>
                                       <th>Date</th>
                                       <th>Status</th>
                                       <th>Action</th>
                                    </tr>
                                 </thead>
                              </table>
                           </div>
                           <div id="msg"></div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection  
@section('pageLevelJS')

<script>
				var dataTable='';
				dataTable = $('#autoFundRequestList').DataTable({
							"processing": true,
							"serverSide": true,
							"order": [0,"desc"],
							"ajax":{"url":base_url+"autoFundRequest","type": "POST","dataType": "json"},
							"columns": [
										{ "data": "DT_RowIndex" },
										{ "data": "username" },
										{ "data": "amount" },
										{ "data": "tx_req_number" },
										{ "data": "transaction_id" },
										{ "data": "reject_reason" },
										{ "data": "date" },
										{ "data": "display_status" },
										{ "data": null },						
								],
								columnDefs: [{
									targets: [-1], render: function (a, b, data, d) {
										var action='';
										if (data.status == 1 || data.status == 0 ) {
											action+='<a href="javascript:void(0);" class="" data-id="'+data.id+'"><button class="btn btn-primary btn-xs m-l-5" type="button" disabled >Accept</button></a>';

											action+='<a href="javascript:void(0);" class="" data-id="'+data.id+'"><button class="btn btn-danger btn-xs m-l-5" type="button" disabled >Reject</button></a>';
										}else{
											action+='<a href="javascript:void(0);" class="openPopupAcceptAutoRequest" data-id="'+data.id+'"><button class="btn btn-primary btn-xs m-l-5" type="button" >Accept</button></a>';

											action+='<a href="javascript:void(0);" class="openPopupRejectAutoRequest" data-id="'+data.id+'"><button class="btn btn-danger btn-xs m-l-5" type="button" >Reject</button></a>'; 
											
											action+='<a href="javascript:void(0);" class="openPopupDeleteAutoId"  data-id="'+data.id+'"><button class="btn btn-danger btn-xs mr-1" type="button">Delete</button></a>';
										} 
										return action;
									}
								}],								
							});		
							
						dataTable.on('page.dt', function() {
						$('html, body').animate({
							scrollTop: $(".dataTables_wrapper").offset().top-50						   
							}, 'slow');						
							});	
</script>
@endsection             
