@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <!-- Zero Configuration  Starts-->	
                     <div class="col-sm-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title d-flex align-items-center justify-content-between">Game Name List<a class="btn btn-primary btn-sm btn-float" href="#addgameModal" role="button" data-toggle="modal">Add Game </a></h4>
                              <table class="table table-striped table-bordered" id="gameList">
                                 <thead>
                                    <tr>
                                       <th>#</th>
                                       <th>Game Name</th>
                                       <th>Game Name Hindi</th>
                                       <th>Today Open</th>
                                       <th>Today Close</th>
                                       <th>Active</th>
                                       <th>Market Status</th>
                                       <th>Action</th>
                                    </tr>
                                 </thead>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal fade" id="addgameModal" tabindex="-1" role="dialog" aria-hidden="true">
               <div class="modal-dialog modal_right_side" role="document">
                  <div class="modal-content col-12 col-md-5">
                     <div class="modal-header">
                        <h5 class="modal-title">Add Game</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                     </div>
                     <div class="modal-body">
                        <form class="theme-form" id="addgameFrm" name="addgameFrm" method="post" >
                           <div class="row">
                              <input type="hidden" name="game_id" value="">
                              <div class="form-group col-12">
                                 <label for="game_name">Game Name</label>
                                 <input type="text" name="game_name" id="game_name" class="form-control" placeholder="Enter Game Name"/>
                              </div>
                              <div class="form-group col-12">
                                 <label for="game_name_hindi">Game Name Hindi</label>
                                 <input type="text" name="game_name_hindi" id="game_name_hindi" class="form-control" placeholder="Enter Game Name In Hindi"/>
                              </div>
                              <div class="form-group col-6">
                                 <label  for="open_time">Open Time</label>
                                 <input name="open_time" id="open_time" class="form-control digits" type="time" value="">
                              </div>
                              <div class="form-group col-6">
                                 <label for="close_time">Close Time</label>
                                 <input name="close_time" id="close_time" class="form-control digits" type="time" value="">
                              </div>
                              <div class="form-group col-12">
                                 <button type="submit" class="btn btn-primary waves-light mr-1" id="submitBtn" name="submitBtn">Submit</button>
                                 <button type="reset" class="btn btn-danger waves-light mr-1">Reset</button>
                              </div>
                           </div>
                           <div class="form-group">
                              <div id="msg"></div>
                           </div>
                        </form>
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal fade" id="updategameModal" tabindex="-1" role="dialog" aria-hidden="true">
               <div class="modal-dialog modal_right_side" role="document">
                  <div class="modal-content col-12 col-md-5">
                     <div class="modal-header">
                        <h5 class="modal-title">Update Game</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                     </div>
                     <div class="modal-body modal_update_game_body"></div>
                  </div>
               </div>
            </div>
            <div class="modal fade" id="offdayModal" tabindex="-1" role="dialog" aria-hidden="true">
               <div class="modal-dialog modal_right_side" role="document">
                  <div class="modal-content col-12 col-xl-4">
                     <div class="modal-header">
                        <h5 class="modal-title">Market Off Day</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                     </div>
                     <div class="modal-body modal_off_day"></div>
                  </div>
               </div>
            </div>
@endsection
@section('pageLevelJS')
<script>
				var dataTable='';
						
												
												
								
													
												
						
						
													
						dataTable = $('#gameList').DataTable( {
							"processing": true,
							"serverSide": true,
							"order": [0,"desc"],
							"ajax":{"url":"{{ url('admin/gamesList') }}","type": "POST","dataType": "json"},
							"columns": [
										{ "data": "DT_RowIndex" },
										{ "data": "game_name" },
										{ "data": "game_name_hindi" },
										{ "data": "open_time" },
										{ "data": "close_time" },
										{ "data": "status" },
										{ "data": "market_status" },
										{ "data": null },						
								],
								columnDefs: [{
									targets: [-1], render: function (a, b, data, d) {
										 var action='';
											action+='<a title="Edit" href="javascript:void(0);" data-href="'+base_url+''+data.id+'/editGame" class="openPopupEditGame"><button  class="btn btn-primary btn-xs mr-1" type="button"  title="edit">Edit</button></a>';
											
										/*  if (data.status == 1) {
											action+='<a title="Inactivate" class="success blockUnblock" href="" id="success-'+data.game_id+'-tb_games-game_id-status" ><button class="btn btn-success btn-sm mr-5" type="button" title="Inactivate">Inactivate</button></a>';
										}
										else{
											action+='<a class="danger blockUnblock" href="" id="danger-'+data.game_id+'-tb_games-game_id-status"><button class="btn btn-danger btn-sm mr-5" type="button" title="Activate">Activate</button></a>'; 
										} */ 
										/* if (data.market_status == 1) {
											action+='<a title="Market Close" class="success openCloseMarket" href="" id="success-'+data.game_id+'-tb_games-game_id-market_status" ><button class="btn btn-success btn-xs mr-1" type="button" title="Market Close">Market Close</button></a>';
										}
										else{
											action+='<a class="danger openCloseMarket" href="" id="danger-'+data.game_id+'-tb_games-game_id-market_status"><button class="btn btn-danger btn-xs mr-1" type="button" title="Market Open">Market Open</button></a>'; 
										} */
										action+='<a title="Off Day" href="javascript:void(0);" data-href="'+base_url+''+data.id+'/offDay" class="openPopupoffDayGame"><button  class="btn btn-primary btn-xs mr-1" type="button"  title="Off Day">market off day</button></a>';
										
										return action;
									}
								}],								
							});												
								dataTable.on('page.dt', function() {
								$('html, body').animate({
									scrollTop: $(".dataTables_wrapper").offset().top-50						   
									}, 'slow');		
									});				
</script>

@endsection
