<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Deep Laxmi Game | Forgot Password</title>
        <link rel="icon" href="Assets/3_Logo.ico" type="image/gif" sizes="16x16">
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <!-- START FONTS -->
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin> 
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.css"/>
        <!-- END FONTS -->
        <!-- START STYLESHEET -->
        <link rel="stylesheet" type="text/css" href="{{ asset('/frontend/assets/css/style.css') }}">
        <!-- END STYLESHEET -->
        <style>
        .sweet-alert > h2{
        
           color:black !important;
        }
        </style>
    </head>
    <body>
        <div class="container form_wrap4">
            <form action="" class="form_wrap0" id="forgotForm">
                <div class="form_wrap3">
                    <img src="{{ asset('/frontend/assets/logo.png') }}" class="form_img1">
                </div>
                <div id="main_div">
                <div class="form_wrap1">
                    <h1 class="form_head1">Forgot Password</h1>
                </div>
                <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                    <input type="text" class="form-control form_input1" id="phone_number" placeholder="Phone Number" name="phone_number">
                </div>
                <div class="form-check form_wrap6">
                    <label class="form-check-label">
                        <a href="{{ route('userlogin') }}" class="form_anchor1">Back to Sign In ?</a>
                    </label>
                </div>
                <a href="javascript:void(0);">
                    <button type="button" id="otp_send" class="btn btn-primary form_btn1">Continue</button>
                </a>
                <div class="form-check form_wrap5">
                    <label class="form-check-label">
                        <a href="{{ route('register') }}" class="form_anchor1">Don’t have an account ? Sign Up</a>
                    </label>
                </div>
                </div>
                <div id="otp_div" style="display:none;">
                    <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                        <input type="text" class="form-control form_input1" id="otp" placeholder="OTP" name="otp">
                    </div>
                    <div class="form-check form_wrap6">
                        <label class="form-check-label">
                            <a href="javascript:void(0)" id="resend" class="form_anchor1">Resend the OTP ?</a>
                        </label>
                    </div>
                    <button type="button" id="verify" class="btn btn-primary form_btn1">Verify</button>
                </div> 
                 <div id="password_div" style="display:none;">
                    <div class="form_wrap1">
                    <h1 class="form_head1">Update Password</h1>
                   </div>
                    <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                        <input type="password" class="form-control form_input1" id="new_password" placeholder="New Password" name="new_password">
                    </div>
                    <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                        <input type="password" class="form-control form_input1" id="confirm_password" placeholder="Confirm Password" name="confirm_password">
                    </div>
                    
                    <button type="submit" class="btn btn-primary form_btn1">Submit</button>
                </div>   
            </form>
        </div>
        
      <script src="{{ asset('/frontend/assets/js/bootstrap.min.js') }}"></script>  
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.5/jquery.validate.min.js"></script>
      <script>
         $.ajaxSetup({
         headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }
         });
         
         $('#otp_send').click(function(){
    
                var phone_number=$('#phone_number').val();
                if(phone_number == ''){
                    swal("Alert!",'Please enter valid phone number.', "error");
                    return;
                }
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "https://game.deeplaxmi.net/api/sendotp",
			 data: {
				 phone_number: phone_number,
				 type: 'forgot',
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       $('#main_div').hide();
			       $('#otp_div').show();
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
    
    });
    
    $('#resend').click(function(){
    
                var phone_number=$('#phone_number').val();
                if(phone_number == ''){
                    swal("Alert!",'Please enter valid phone number.', "error");
                    return;
                }
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "https://game.deeplaxmi.net/api/sendotp",
			 data: {
				 phone_number: phone_number,
				 type: 'forgot',
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       swal("Success!",'OTP sended successfully!', "success");
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
    
    });
    
    $('#verify').click(function(){
    
                var phone_number=$('#phone_number').val();
                var otp=$('#otp').val();
                if(otp == ''){
                    swal("Alert!",'Please enter OTP.', "error");
                    return;
                }
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "https://game.deeplaxmi.net/api/verifyotp",
			 data: {
				 phone_number : phone_number,
				 otp_string: otp,
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       $('#main_div').hide();
			       $('#otp_div').hide();
			       $('#password_div').show();
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
    
    });
    
    
    
$("#forgotForm").validate({   

    rules: {
        new_password: {
            required: true,
        },
        confirm_password: {
            required: true,
            equalTo:new_password,
        },

    },
    errorPlacement: function(error, element) {
        error.addClass('mt-2 text-danger');
        if (element.hasClass('form_select_bid') && element.next('.select2-container').length) {
            error.insertAfter(element.next('.select2-container'));
        } else if (element.parent('.input-group').length) {
            error.insertAfter(element.parent());
        } else if (element.prop('type') === 'radio' && element.parent('.radio-inline').length) {
            error.insertAfter(element.parent().parent());
        } else if (element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.appendTo(element.parent().parent());
        } else {
            error.insertAfter(element);
        }
    },
    submitHandler: function(form) {
               
               var phone_number=$('#phone_number').val();
               var new_password=$('#new_password').val();
               $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "https://game.deeplaxmi.net/api/forgotPassword",
			 data: {
				 phone_number : phone_number,
				 new_password: new_password,
			 },
			 success: function(data) {
			 
			     if(data.error == false){
			       
			       swal({
				       title: "Success!", 
				       text: "Password change successfully.", 
				       type: "success"
				     },
				   function(){ 
				       window.location.href="/";
				   }
				);
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
        
    }
    });
         
      </script>   
        
    </body>
</html>
