@extends('userPanel.user')
@section('content')

<div class="game_bid_parent">
                    <!-- START CARD -->
                    <div class="wallet_container1">
                        <div class="flex-grow-1">
                            <div class="card body_game_wallet_parent">
                                <div class="card-body body_game_card2">
                                    <div class="d-flex align-items-start justify-content-between">
                                        <div>
                                            <h5 class="card-title txt_game_market">Current Balance</h5>
                                            <p class="card-text">
                                                <span class="txt_game_type">{{ number_format(\Auth::user()->available_balance,2) }}</span>
                                            </p>
                                        </div>
                                        
                                    </div>
                                    <div class="d-flex payment_option_container">
                                        <div class="payment_option1 add_phone" data-id="1" data-number="{{ \Auth::user()->googlepay_number}}"></div>
                                        <div class="payment_option3 add_phone" data-id="2" data-number="{{ \Auth::user()->phonepay_number}}"></div>
                                        <div class="payment_option2 add_phone" data-id="3" data-number="{{ \Auth::user()->paytm_number}}"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="d-flex flex-column payment_option_container2">
                            <button type="button" id="add_fund" class="btn btn_form_wallet" >Add Funds</button>
                            <button type="button" id="transfer" data-transfer="{{ \Auth::user()->transfer}}" class="btn btn_form_wallet2">Transfer Funds</button>
                            <button type="button" class="btn btn_form_wallet" id="withdraw">Withdraw Funds</button>
                        </div>
                    </div>
                    <!-- END CARD -->
                    <!-- START CARD -->
                    <div class="card body_wallet_parent">
                        <div class="card-body body_game_card2">
                            <!-- START FORM -->
                            
                            <!-- END FORM -->
                            <!-- START TABLE -->
                            <div class="table-responsive tbl_view_parent">
                                <table class="table tbl_view">
                                    <thead>
                                        <tr class="tbl_view_th">
                                            <th scope="col">Transaction Type</th>
                                            <th scope="col">Amount</th>
                                            <th scope="col">Date</th>
                                            <th scope="col">Time</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                      @foreach($wallet as $key => $value)
                                        <tr class="tbl_view_tr">
                                            <th width="30%">{{ $value->transaction_note }}</th>
                                            <td><font color="@if($value->type == 'credit') green @else red @endif">@if($value->type == 'debit') - @endif{{ $value->amount }}</font></td>
                                            <td>{{ date('Y-m-d',strtotime($value->date)) }}</td>
                                            <td>{{ date('h:i A',strtotime($value->date)) }}</td>
                                        </tr>
                                     @endforeach   
                                    </tbody>
                                </table>
                            </div>
                            <!-- END TABLE -->
                        </div>
                    </div>

                    <div class="card body_wallet_parent">
                        <div class="card-body body_game_card2">
                           
                            <div class="table-responsive tbl_view_parent">
                            <h3>Withdraw History</h3>
                                <table class="table tbl_view">
                                    <thead>
                                        <tr class="tbl_view_th">
                                            <th scope="col">Payment Method</th>
                                            <th scope="col">Amount</th>
                                            <th scope="col">Date Time</th>
                                            <th scope="col">Status</th>
                                            <th scope="col">Remark</th>
                                            <th scope="col">Receipt</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                      @foreach($check as $key => $value)
                                        <tr class="tbl_view_tr">
                                            <th width="30%">@if($value->payment_method == '1') Paytm @elseif($value->payment_method == '2') Google Pay @elseif($value->payment_method == '3') PhonePe @else Bank Transfer @endif</th>
                                            <td>{{ $value->amount }}</td>
                                            <td>{{ date('Y-m-d h:i A',strtotime($value->created_at)) }}</td>
                                            <td>@if($value->status == '0') <span class="badge-danger">Reject</span> @elseif($value->status == '1') <span class="badge-success">Approved</span> @else <span class="badge-pending">Pending</span> @endif</td>
                                            <td>{{ $value->remark }}</td>
                                            <td>@if($value->status == '1')<a href="{{ $value->receipt }}">View Receipt</a>@endif</td>
                                        </tr>
                                     @endforeach   
                                    </tbody>
                                </table>
                            </div>
                            
                        </div>
                    </div>
                    <!-- END CARD -->
                </div>
                
            
                
            <div class="modal fade" id="add_phone_number" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="add_phone_number" aria-hidden="true">
            <div class="modal-dialog modal-md modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title card-title txt_game_type" id="mdl_add_fundsLabel">Add Phone Number</h5>
                        <span data-bs-dismiss="modal" aria-label="Close" class="material-symbols-rounded close_icon">close</span>
                    </div>
                    <form id="addnumber">
                    <div class="modal-body">
                        <input type="text" class="form-control input_form_bid" name="number" id="number" placeholder="Phone Number">
                        <input type="hidden" name="type" id="type">
                    </div>
                    <div class="modal-footer payment_option_container3">
                        <button type="submit" data-bs-dismiss="modal" class="btn btn_mdl">Submit</button>
                    </div>
                   </form> 
                </div>
            </div>
        </div>
        
         <div class="modal fade" id="withdraw_model" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="withdraw_model" aria-hidden="true">
            <div class="modal-dialog modal-md modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title card-title txt_game_type" id="mdl_add_fundsLabel">Withdraw</h5>
                        <span data-bs-dismiss="modal" aria-label="Close" class="material-symbols-rounded close_icon">close</span>
                    </div>
                    <form id="withdrawForm">
                    <div class="modal-body">
                        
                        <input type="text" class="form-control input_form_bid" name="withdraw_amount" id="withdraw_amount" placeholder="Points">
                        
                         <select class="form-control form_select_bid" name="payment_method" id="payment_method" width="100%">
                         @if(\Auth::user()->googlepay_number != '') 
                         <option value="2">Google Pay ({{\Auth::user()->googlepay_number}})</option>
                         @endif
                         @if(\Auth::user()->phonepay_number != '') 
                         <option value="3">PhonePay ({{\Auth::user()->phonepay_number}})</option>
                         @endif
                         @if(\Auth::user()->paytm_number != '') 
                         <option value="1">Paytm ({{\Auth::user()->paytm_number}})</option>
                         @endif
                       </select>  
                    <div class="modal-footer payment_option_container3">
                        <button type="submit" data-bs-dismiss="modal" class="btn btn_mdl">Submit</button>
                    </div>
                   </form> 
                </div>
            </div>
        </div>
        
        
        
        
       
@endsection 
               
@section('pageLevelJS')
<script>

    
 $.ajaxSetup({
         headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }
         });
         
         $('.add_phone').click(function(){
         
               console.log('ok');
              $('#type').val($(this).data('id'));
              $('#number').val($(this).data('number'));
              $('#add_phone_number').modal('show');
         
         });
      
  
  $(function() {
var availableTags = @json($arr);
  $("#transfer_number").autocomplete({
    source: function(req, resp) {
      var results = [];
      $.each(availableTags, function(k, v) {
        // Make a pass for names
        if (v.label.indexOf(req.term) != -1) {
          results.push(v);
          return;
        }
        // Make a pass for phone
        if (v.value.indexOf(req.term) != -1) {
          results.push(v);
          return;
        }
      });
      resp(results);
    },
    minLength: 10
  });
});
         
$("#addnumber").validate({
    rules: {
        number: {
            required: true,
            number: true,
            minlength:10,
            maxlength:10,
        },

    },
    errorPlacement: function(error, element) {
        error.addClass('mt-2 text-danger');
        if (element.hasClass('form_select_bid') && element.next('.select2-container').length) {
            error.insertAfter(element.next('.select2-container'));
        } else if (element.parent('.input-group').length) {
            error.insertAfter(element.parent());
        } else if (element.prop('type') === 'radio' && element.parent('.radio-inline').length) {
            error.insertAfter(element.parent().parent());
        } else if (element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.appendTo(element.parent().parent());
        } else {
            error.insertAfter(element);
        }
    },
    submitHandler: function(form) {
    
                var number=$('#number').val();
                var type=$('#type').val();
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "{{ url('/addNumber')}}",
			 data: {
				 number: number,
				 type: type,
			 },
			 success: function(data) {
			 
			     if(data.error == false){
			       
			        swal({
				       title: "Success!", 
				       text: data.message, 
				       type: "success"
				     },
				   function(){ 
				       location.reload();
				   }
				);
			       
			     }else{
			     
			         swal("Alert!",'Something went wrong!', "error");
			     }
					
		        }
		    });
        
    }
    });
    
    
    
     $('#transfer').click(function(){
         
              if($(this).data('transfer') == 'yes'){
              $('#transfer_model').modal('show');
              
              }else{
                swal("Alert!",'Transfer feature disbaled for you. Please Contact admin', "error");
              }
         
   });
   
   $("#transferForm").validate({
    rules: {
        transfer_number: {
            required: true,
            number: true,
            minlength:10,
            maxlength:10,
        },
        amount: {
            required: true,
            number: true,
        },

    },
    errorPlacement: function(error, element) {
        error.addClass('mt-2 text-danger');
        if (element.hasClass('form_select_bid') && element.next('.select2-container').length) {
            error.insertAfter(element.next('.select2-container'));
        } else if (element.parent('.input-group').length) {
            error.insertAfter(element.parent());
        } else if (element.prop('type') === 'radio' && element.parent('.radio-inline').length) {
            error.insertAfter(element.parent().parent());
        } else if (element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.appendTo(element.parent().parent());
        } else {
            error.insertAfter(element);
        }
    },
    submitHandler: function(form) {
    
                var transfer_number=$('#transfer_number').val();
                var amount=$('#amount').val();
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "{{ url('/transfer')}}",
			 data: {
				 transfer_number: transfer_number,
				 amount: amount,
			 },
			 success: function(data) {
			 
			     if(data.error == false){
			       
			        swal({
				       title: "Success!", 
				       text: data.message, 
				       type: "success"
				     },
				   function(){ 
				       location.reload();
				   }
				);
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
        
    }
    });
    
    
    $('#withdraw').click(function(){
    
           $.ajax({
		    type: 'post',
		    dataType: 'json',
		    url: "{{ url('/withdrawTiming')}}",
		    data: {},
		    success: function(data){
		    
			   if(data.error == false){
			       
			        $('#withdraw_model').modal('show');
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
	}); 
    
    });
    
    
    
    $("#withdrawForm").validate({
    rules: {
        payment_method: {
            required: true,
        },
        withdraw_amount: {
            required: true,
            number: true,
        },

    },
    errorPlacement: function(error, element) {
        error.addClass('mt-2 text-danger');
        if (element.hasClass('form_select_bid') && element.next('.select2-container').length) {
            error.insertAfter(element.next('.select2-container'));
        } else if (element.parent('.input-group').length) {
            error.insertAfter(element.parent());
        } else if (element.prop('type') === 'radio' && element.parent('.radio-inline').length) {
            error.insertAfter(element.parent().parent());
        } else if (element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.appendTo(element.parent().parent());
        } else {
            error.insertAfter(element);
        }
    },
    submitHandler: function(form) {
    
                //var withdraw_number=$('#withdraw_number').val();
                var payment_method=$('#payment_method').val();
                var amount=$('#withdraw_amount').val();
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "{{ url('/withdraw')}}",
			 data: {
				 //withdraw_number: withdraw_number,
				 amount: amount,
				 payment_method:payment_method
			 },
			 success: function(data) {
			 
			     if(data.error == false){
			       
			        swal({
				       title: "Success!", 
				       text: data.message, 
				       type: "success"
				     },
				   function(){ 
				       location.reload();
				   }
				);
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
        
    }
    });
    
    $('#add_fund').click(function(){
    
    
      //window.location.href="https://wa.me/{{ $setting->whatsapp_number }}";
      window.open('https://wa.me/{{ $setting->whatsapp_number }}', 'whatsapp');
    
    });
    
</script>         
@endsection          
