@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="page-title-box d-flex align-items-center justify-content-between">
                           <h4 class="mb-0 font-size-18">User Details</h4>
                           <div class="page-title-right">
                              <ol class="breadcrumb m-0">
                                 <li class="breadcrumb-item"><a href="javascript: void(0);">User Management</a></li>
                                 <li class="breadcrumb-item active">User Details</li>
                              </ol>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row row_col">
                     <div class="col-xl-4">
                        <div class="card overflow-hidden h100p">
                           <div class="bg-soft-primary">
                              <div class="row">
                                 <div class="col-7">
                                    <div class="text-primary p-3">
                                       <h5 class="text-primary">{{ $user->username }}</h5>
                                       <p>{{ $user->phone_number }}																		<a href="tel:{{ $user->phone_number }}"><i class="mdi mdi-cellphone-iphone"></i></a>
                                          <a href="https://wa.me/{{ '+91'.$user->phone_number }}" target="blank"><i class="mdi mdi-whatsapp"></i></a>
                                       </p>
                                    </div>
                                 </div>
                                 <div class="col-5 align-center">
                                    <div class="p-3 text-right">
                                       <div class="mb-2">
                                          Active:
                                          @if($user->status == 'active')
                                          <a role="button" class="activeDeactive" id="success-{{ $user->id }}-users-id-status"><span class="badge badge-pill badge-soft-success font-size-12">Yes</span></a>
                                          @else
                                           <a role="button" class="activeDeactive" id="danger-{{ $user->id }}-users-id-status"><span class="badge badge-pill badge-soft-danger font-size-12">No</span></a>
                                          @endif
                                       </div>
                                       <div class="mb-2">
                                          Betting: 
                                          @if($user->betting == 'yes')
                                          <a role="button" class="activeDeactive" id="success-{{ $user->id }}-users-id-betting"><span class="badge badge-pill badge-soft-success font-size-12">Yes</span></a>
                                          @else
                                           <a role="button" class="activeDeactive" id="danger-{{ $user->id }}-users-id-betting"><span class="badge badge-pill badge-soft-danger font-size-12">No</span></a>
                                          @endif
                                       </div>
                                       <div class="mb-2">
                                          TP: 
                                          @if($user->transfer == 'yes')
                                          <a role="button" class="activeDeactive" id="success-{{ $user->id }}-users-id-transfer"><span class="badge badge-pill badge-soft-success font-size-12">Yes</span></a>
                                          @else
                                           <a role="button" class="activeDeactive" id="danger-{{ $user->id }}-users-id-transfer"><span class="badge badge-pill badge-soft-danger font-size-12">No</span></a>
                                          @endif	
                                       </div>
                                       <div class="mb-2">
                                          Logout Status: 
                                          <a role="button" onClick="changeLogoutStatus(3);"><span class="badge badge-pill badge-success font-size-12" >Logout Now</span></a>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <div class="card-body pt-0">
                              <div class="row">
                                 <div class="col-sm-4">
                                    <div class="avatar-md profile-user-wid mb-4">
                                       <img src="{{ asset('asset/images/user.png') }}" alt="" class="img-thumbnail rounded-circle">
                                    </div>
                                 </div>
                                 <div class="col-sm-8">
                                    <div class="pt-4">
                                       <div class="row">
                                          <div class="col-6">
                                             <p class="text-muted mb-0">Security Pin</p>
                                             <h5 class="font-size-15 mb-0">{{ $user->security_pin }}</h5>
                                          </div>
                                          <div class="col-6">
                                             <button class="btn btn-primary btn-sm" id="changePin">Change</button>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <div class="card-body border-top">
                              <div class="row">
                                 <div class="col-sm-12">
                                    <div>
                                       <p class="text-muted mb-2">Available Balance</p>
                                       <h5>{{ $user->available_balance }}</h5>
                                    </div>
                                 </div>
                                 <div class="col-sm-6">
                                    <div class="mt-3">
                                       <button class="btn btn-success btn-sm w-md btn-block" id="adFund">Add Fund</button>
                                    </div>
                                 </div>
                                 <div class="col-sm-6">
                                    <div class="mt-3">
                                       <button class="btn btn-danger btn-sm w-md btn-block" id="withdrawFund">Withdraw Fund</button>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="col-xl-8">
                        <div class="card h100p">
                           <div class="card-body">
                              <h4 class="card-title mb-4">Personal Information</h4>
                              <div class="table-responsive">
                                 <table class="table table-nowrap mb-0">
                                    <tbody>
                                       <tr>
                                          <th scope="row">Full Name :</th>
                                          <td>{{ $user->user   name }}</td>
                                          <th scope="row">Email :</th>
                                          <td>{{ $user->email ?? 'N/A' }}</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">Mobile :</th>
                                          <td>{{ $user->phone_number }}																						<a href="tel:{{ $user->phone_number }}"><i class="mdi mdi-cellphone-iphone"></i></a>
                                             <a href="https://wa.me/{{ '+91'.$user->phone_number }}" target="blank"><i class="mdi mdi-whatsapp"></i></a>
                                          </td>
                                          <th scope="row">Password :</th>
                                          <td>{{ $user->password_string }}</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">District Name :</th>
                                          <td>{{ $user->district_name ?? 'N/A' }}</td>
                                          <th scope="row">Flat/Plot No. :</th>
                                          <td>N/A</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">Address Lane 1 :</th>
                                          <td>{{ $user->address_lane_1 ?? 'N/A' }}</td>
                                          <th scope="row">Address Lane 2 :</th>
                                          <td>{{ $user->address_lane_2 ?? 'N/A' }}</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">Area :</th>
                                          <td>{{ $user->area ?? 'N/A' }}</td>
                                          <th scope="row">Pin Code :</th>
                                          <td>{{ $user->pin_code ?? 'N/A' }}</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">State Name :</th>
                                          <td>{{ $user->state ?? 'N/A' }}</td>
                                          <th scope="row"></th>
                                          <td></td>
                                       </tr>
                                       <tr>
                                          <th scope="row">Creation Date :</th>
                                          <td>{{ $user->created_at ?? 'N/A' }}</td>
                                          <th scope="row">Last Seen :</th>
                                          <td>{{ $user->updated_at ?? 'N/A' }}</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                     <div class="col-xl-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title mb-4">Payment Information</h4>
                              <div class="table-responsive">
                                 <table class="table table-nowrap mb-0">
                                    <tbody>
                                       <tr>
                                          <th scope="row">Bank Name :</th>
                                          <td>{{ $user->bank_name ?? 'N/A' }}</td>
                                          <th scope="row">Branch Address :</th>
                                          <td>{{ $user->branch_address ?? 'N/A' }}</td>
                                          <th scope="row"></th>
                                          <td></td>
                                       </tr>
                                       <tr>
                                          <th scope="row">A/c Holder Name :</th>
                                          <td>{{ $user->account_holder_name ?? 'N/A' }}</td>
                                          <th scope="row">A/c Number :</th>
                                          <td>{{ $user->account_number ?? 'N/A' }}</td>
                                          <th scope="row">IFSC Code :</th>
                                          <td>{{ $user->ifsc_code ?? 'N/A' }}</td>
                                       </tr>
                                       <tr>
                                          <th scope="row">PhonePe No. :</th>
                                          <td>{{ $user->phonepay_number ?? 'N/A' }}</td>
                                          <th scope="row">Google Pay No. :</th>
                                          <td>{{ $user->googlepay_number ?? 'N/A' }}</td>
                                          <th scope="row">Paytm No. :</th>
                                          <td>{{ $user->paytm_number ?? 'N/A' }}</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Add Fund Request List</h4>
                              <div class="demo-gallery">
                                 <table id="myTable" class="table table-striped table-bordered  list-unstyled">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>Request Amount</th>
                                          <th>Request	No.</th>
                                          <th>Receipt Image</th>
                                          <th>Date</th>
                                          <th>Status</th>
                                          <th>Action</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                 </table>
                              </div>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Withdraw Fund Request List</h4>
                              <div class="demo-gallery">
                                 <table id="withdrawTable" class="table table-striped table-bordered list-unstyled">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>Request Amount</th>
                                          <th>Request No.</th>
                                          <th>Request Date</th>
                                          <th>Status</th>
                                          <th>Action</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                    @if(!empty($withdraw))
					@foreach($withdraw as $key => $value)
					<tr>
                                       <td>{{ $key +1}}</td>
                                       <td>{{ $value->amount}}</td>
                                       <td>{{ $value->request_number}}</td>
                                       <td>{{ date('d M Y h:i:s A',strtotime($value->request_date)) }}</td>
                                       <td>@if($value->status == '0') <badge class="badge badge-pill badge-danger font-size-12">Rejected</badge> @elseif($value->status == '1') <badge class="badge badge-pill badge-success font-size-12">Accepted</badge> @else <badge class="badge badge-pill badge-info font-size-12">Pending</badge> @endif</td>
                                       <td><a role="button" data-href="{{ url('/').'/admin/'.$value->id.'/withdrawDetails' }}" class="mr-3 text-primary openViewWithdrawRequest" data-toggle="tooltip" data-placement="top" title="" data-original-title="View Details"><button class="btn btn-outline-info btn-xs m-l-5" type="button">View</button></a></td>
                                       </tr> 
					@endforeach
					
			             @endif		
                                    </tbody>
                                 </table>
                              </div>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <input type="hidden" id="user_id" value="{{ $user->id }}">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body" style="overflow-y: auto;">
                              <h4 class="card-title">Bid History</h4>
                              <div class="">
                                 <table id="bidHistoryTable" class="table table-striped table-bordered">
                                    <thead>
                                       <tr>
                                         <th>#</th>
					  <th>Game Name</th>
					  <th>Game Type</th>
					  <th>Session</th>
					  <th>Open Paana</th>
					  <th>Open Digit</th>
					  <th>Close Paana</th>
					  <th>Close Digit</th>
					  <th>Points</th>
					  <th>Date</th>
									
                                       </tr>
                                    </thead>
                                 </table>
                              </div>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12 col-xl-12 xl-100">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Wallet Transaction History</h4>
                              <ul class="nav nav-tabs nav-tabs-custom nav-justified" id="top-tab" role="tablist">
                                 <li class="nav-item"><a class="nav-link active" id="top-allr-tab" data-toggle="tab" href="#top-allr" role="tab" aria-controls="top-allr" aria-selected="true">All</a></li>
                                 <li class="nav-item"><a class="nav-link" id="inr-top-tab" data-toggle="tab" href="#top-inr" role="tab" aria-controls="top-inr" aria-selected="false">Credit</a></li>
                                 <li class="nav-item"><a class="nav-link" id="outr-top-tab" data-toggle="tab" href="#top-outr" role="tab" aria-controls="top-outr" aria-selected="false">Debit</a></li>
                              </ul>
                              <div class="tab-content p-3" id="top-tabContent">
                                 <div class="tab-pane fade show active" id="top-allr" role="tabpanel" aria-labelledby="top-allr-tab">
                                    <div class="">
                                       <table id="allTransactionTable" class="table table-striped table-bordered">
                                          <thead>
                                             <tr>
                                                <th>#</th>
                                                <th>Amount</th>
                                                <th>Transaction Note</th>
                                                <th>Transfer Note</th>
                                                <th>Date</th>
                                                <th>Tx Req. No.</th>
                                             </tr>
                                          </thead>
                                       </table>
                                    </div>
                                 </div>
                                 <div class="tab-pane fade" id="top-inr" role="tabpanel" aria-labelledby="inr-top-tab">
                                    <div class="">
                                       <table id="inTransactionTable" class="table table-striped table-bordered" style="width: 100%;">
                                          <thead>
                                             <tr>
                                                <th>#</th>
                                                <th>Amount</th>
                                                <th>Transaction Note</th>
                                                <th>Transfer Note</th>
                                                <th>Date</th>
                                                <th>Tx Req. No.</th>
                                             </tr>
                                          </thead>
                                       </table>
                                    </div>
                                 </div>
                                 <div class="tab-pane fade" id="top-outr" role="tabpanel" aria-labelledby="outr-top-tab">
                                    <div class="">
                                       <table id="outTransactionTable" class="table table-striped table-bordered" style="width: 100%;">
                                          <thead>
                                             <tr>
                                                <th>#</th>
                                                <th>Amount</th>
                                                <th>Transaction Note</th>
                                                <th>Transfer Note</th>
                                                <th>Date</th>
                                                <th>Tx Req. No.</th>
                                             </tr>
                                          </thead>
                                       </table>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12 col-xl-12 col-md-12">
                        <div class="row">
                           <div class="col-sm-12">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">Winning History Report</h4>
                                    <form class="theme-form mega-form" id="userWinningHistoryFrm" name="userWinningHistoryFrm" method="post">
                                       <div class="row">
                                          <div class="form-group col-md-3">
                                             <label>Date</label>
                                             <div class="date-picker">
                                                <div class="input-group">
                                                   <input class="form-control digits" type="date" value="{{ date('Y-m-d') }}" name="result_date" id="result_date" max="{{ date('Y-m-d') }}">
                                                </div>
                                             </div>
                                          </div>
                                          <input type="hidden" name="user_id" id="user_id" value="{{ $user->id}}">
                                          <div class="form-group col-md-2">
                                             <label>&nbsp;</label>
                                             <button type="submit" class="btn btn-primary waves-light btn-block" id="submitBtn_2" name="submitBtn_2">Submit</button>
                                          </div>
                                       </div>
                                       <div class="form-group">
                                          <div id="error_msg"></div>
                                       </div>
                                       <input type="hidden" id="result_date">
                                       <input type="hidden" id="result_game_name">
                                    </form>
                                    <table id="resultHistory" class="table table-striped table-bordered">
                                       <thead>
                                          <tr>
                                             <th>Amount(&#x20b9)</th>
                                             <th>Game Name</th>
                                             <th>Tx Id</th>
                                             <th>Tx Date</th>
                                          </tr>
                                       </thead>
                                       <tbody id="result_data">
                                       </tbody>
                                    </table>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal fade" id="bettingAllowedModal" tabindex="-1" role="dialog" aria-hidden="true" >
               <div class="modal-dialog modal-frame modal-top modal-md">
                  <div class="modal-content">
                     <div class="modal-body">
                        <div class="container">
                           <div class="row">
                              <div class="col-md-12">
                                 <p>Are you sure you want to allowed betting for this user.</p>
                              </div>
                              <div class="col-md-12">
                                 <form class="theme-form"  id="bettingAllowedFrm" method="post" enctype="multipart/formdata">
                                    <input type="hidden" name="user_id" id="user_id" value="{{ $user->id}}">
                                    <div class="form-group">	
                                       <button class="btn btn-danger waves-effect waves-light" data-dismiss="modal">Cancel</button>
                                       <button type="submit" class="btn btn-info waves-effect waves-light" id="submitBtn">Yes</button>
                                    </div>
                                 </form>
                                 <div class="form-group m-b-0">
                                    <div id="alert"></div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div id="addFundModel" class="modal fade" role="dialog">
               <div class="modal-dialog">
                  <!-- Modal content-->
                  <div class="modal-content">
                     <div class="modal-header">
                        <h5 class="modal-title">Add Fund</h5>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                     </div>
                     <div class="modal-body">
                        <form class="theme-form"  id="addFundFrm" method="post" enctype="multipart/formdata">
                           <div class="form-group">
                              <label class="col-form-label">Amount</label>
                              <input class="form-control" type="Number" min="0" name="user_amount" id="user_amount" placeholder="Enter Amount" data-original-title="" title="">
                           </div>
                           <input type="hidden" name="user_id" id="user_id" value="{{ $user->id}}">
                           <div class="form-group">							
                              <button type="submit" class="btn btn-info btn-sm m-t-10" id="submitAddBtn" name="submitBtn">Submit</button>
                           </div>
                           <div class="form-group m-b-0">
                              <div id="alert_msg"></div>
                           </div>
                        </form>
                     </div>
                     <div class="modal-footer">
                     </div>
                  </div>
               </div>
            </div>
            <div id="changePinModal" class="modal fade" role="dialog">
               <div class="modal-dialog">
                  <!-- Modal content-->
                  <div class="modal-content">
                     <div class="modal-header">
                        <h5 class="modal-title">Change Pin</h5>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                     </div>
                     <div class="modal-body">
                        <form class="theme-form"  id="changePinFrm" method="post" enctype="multipart/formdata">
                           <div class="form-group">
                              <label class="col-form-label">Enter New Pin</label>
                              <input class="form-control digit_number" type="number" name="security_pin" id="security_pin" placeholder="Enter Security Pin" min="0" max="9999" maxlength="4">
                           </div>
                           <input type="hidden" name="user_id" id="user_id" value="{{ $user->id}}">
                           <div class="form-group">							
                              <button type="submit" class="btn btn-info btn-sm m-t-10" id="submitchangepinBtn" name="submitchangepinBtn">Submit</button>
                           </div>
                           <div class="form-group m-b-0">
                              <div id="alert_msg"></div>
                           </div>
                        </form>
                     </div>
                     <div class="modal-footer">
                     </div>
                  </div>
               </div>
            </div>
            <div id="withdrawFundModel" class="modal fade" role="dialog">
               <div class="modal-dialog">
                  <!-- Modal content-->
                  <div class="modal-content">
                     <div class="modal-header">
                        <h5 class="modal-title">Withdraw Fund</h5>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                     </div>
                     <div class="modal-body">
                        <form class="theme-form"  id="withdrawFundFrm" method="post" enctype="multipart/formdata">
                           <div class="form-group">
                              <label class="col-form-label">Amount</label>
                              <input class="form-control" type="Number" min="0" name="amount" id="amount" placeholder="Enter Amount" data-original-title="" title="">
                           </div>
                           <input type="hidden" name="user_id" id="user_id" value="{{ $user->id}}">
                           <div class="form-group">							
                              <button type="submit" class="btn btn-info btn-sm m-t-10" id="submitWithdrawBtn" name="submitBtn">Submit</button>
                           </div>
                           <div class="form-group m-b-0">
                              <div id="with_error_msg"></div>
                           </div>
                        </form>
                     </div>
                     <div class="modal-footer">
                     </div>
                  </div>
               </div>
            </div>
            <div id="viewWithdrawRequest" class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
               <div class="modal-dialog modal-lg">
                  <div class="modal-content">
                     <div class="modal-header">
                        <h5 class="modal-title mt-0" id="myLargeModalLabel">Withdraw Request Detail</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                     </div>
                     <div class="modal-body viewWithdrawRequestBody">
                     </div>
                  </div>
                  <!-- /.modal-content -->
               </div>
               <!-- /.modal-dialog -->
            </div>
@endsection
@section('pageLevelJS')
<script>
				var dataTable2='';
						
												
					var user_id = $("#user_id").val();
							dataTable2 = $('#allTransactionTable').DataTable( {
								"processing": true,
								"serverSide": true,
								"order": [0,"desc"],
								"ajax":{"url":base_url+"allTransactionTable","type": "POST","data":{user_id:user_id},"dataType": "json"},
								"columns": [
									{ "data": "DT_RowIndex" },
									{ "data": "amount" },
									{ "data": "transaction_note" },
									{ "data": "transfer_note" }, 
									{ "data": "date" },
									{ "data": "tx_req_number" },
								],
																					
								});												
								dataTable2.on('page.dt', function() {						  
								$('html, body').animate({							
								scrollTop: $(".dataTables_wrapper").offset().top-50						  
								}, 'slow');						
								});											
										
													var user_id = $("#user_id").val();
							dataTable2 = $('#inTransactionTable').DataTable( {
								"processing": true,
								"serverSide": true,
								"order": [0,"desc"],
								"ajax":{"url":base_url+"creditTransactionTable","type": "POST","data":{user_id:user_id},"dataType": "json"},
								"columns": [
									{ "data": "DT_RowIndex" },
									{ "data": "amount" },
									{ "data": "transaction_note" },
									{ "data": "transfer_note" }, 
									{ "data": "date" },
									{ "data": "tx_req_number" },
								],
																					
								});												
								dataTable2.on('page.dt', function() {						  
								$('html, body').animate({							
								scrollTop: $(".dataTables_wrapper").offset().top-50						  
								}, 'slow');						
								});											
																		var user_id = $("#user_id").val();
							dataTable2 = $('#outTransactionTable').DataTable( {
								"processing": true,
								"serverSide": true,
								"order": [0,"desc"],
								"ajax":{"url":base_url+"debitTransactionTable","type": "POST","data":{user_id:user_id},"dataType": "json"},
								"columns": [
									{ "data": "DT_RowIndex" },
									{ "data": "amount" },
									{ "data": "transaction_note" },
									{ "data": "transfer_note" }, 
									{ "data": "date" },
									{ "data": "tx_req_number" },
								],
																					
								});												
								dataTable2.on('page.dt', function() {						  
								$('html, body').animate({							
								scrollTop: $(".dataTables_wrapper").offset().top-50						  
								}, 'slow');						
								});											
										
													
														var user_id = $("#user_id").val();
							dataTable2 = $('#bidHistoryTable').DataTable( {
								"processing": true,
								"serverSide": true,
								"order": [0,"desc"],
								"ajax":{"url":base_url+"userBidHistoryTable","type": "POST","data":{user_id:user_id},"dataType": "json"},
								"columns": [
									{ "data": "DT_RowIndex" },
									{ "data": "game_name" },
									{ "data": "type" },
									{ "data": "session" },
									{ "data": "open_pana" },
									{ "data": "open_digit" },
									{ "data": "close_pana" },
									{ "data": "close_digit" },
									{ "data": "points" },
									{ "data": "created_at" },
								],
																					
							});												
							dataTable2.on('page.dt', function() {						  
							$('html, body').animate({							
							scrollTop: $(".dataTables_wrapper").offset().top-50						  
							}, 'slow');						
							});	
							
							
																
												
	</script>
		
		@endsection
