<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

$app = app();

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::group(['namespace' => 'Api'], function () use ($app) {

    Route::post('register', 'RegisterController@register');
    Route::post('login', 'AuthController@login');
    Route::post('logout', 'AuthController@logout');
    Route::post('sendotp', 'RegisterController@sendotp');
    Route::post('verifyotp', 'RegisterController@verifyotp');
    Route::post('forgotPassword', 'UserController@forgotPassword');
    Route::post('verifyphone', 'UserController@verifyphone');
    Route::get('games', 'GameController@gameList');
    Route::post('chart', 'BidController@chart');
    Route::get('rate', 'GameController@gameRate');
    Route::get('testResultChart', 'BidController@starlineResultChart');
    Route::get('insertUser', 'RegisterController@insertUser');

    Route::group(['middleware' => ['auth:sanctum']], function () {

        Route::get('dashboard', 'GameController@dashboard');
        Route::get('gameList', 'GameController@gameList');
        Route::get('starlineGameList', 'GameController@starlineGameList');
        Route::get('gameDetails', 'GameController@gameDetails');
        Route::post('starlineGameDetails', 'GameController@starlineGameDetails');
        Route::get('gameRate', 'GameController@gameRate');
        Route::get('starlineGameRate', 'GameController@starlineGameRate');
        Route::get('gameType', 'GameController@gameType');
        Route::get('starlineGameType', 'GameController@starlineGameType');
        Route::get('howtoPlay', 'GameController@howtoPlay');

        Route::get('singleDigit', 'GameNumbersController@singleDigit');
        Route::get('jodiDigit', 'GameNumbersController@jodiDigit');
        Route::get('singlePana', 'GameNumbersController@singlePana');
        Route::get('doublePana', 'GameNumbersController@doublePana');
        Route::get('triplePana', 'GameNumbersController@triplePana');
        Route::get('halfSangam', 'GameNumbersController@halfSangam');
        Route::get('fullSangam', 'GameNumbersController@fullSangam');


        Route::post('createBid', 'BidController@createBid');
        Route::post('starlineCreateBid', 'BidController@starlineCreateBid');
        Route::get('bidHistory', 'BidController@bidHistory');
        Route::get('starlineBidHistory', 'BidController@starlineBidHistory');
        Route::get('winHistory', 'BidController@winHistory');
        Route::get('starlineWinHistory', 'BidController@starlineWinHistory');
        Route::get('walletHistory', 'BidController@walletHistory');
        Route::get('resultChart', 'BidController@resultChart');

        Route::get('editProfile', 'UserController@editProfile');
        Route::post('updateProfile', 'UserController@updateProfile');
        Route::post('updateBankDetails', 'UserController@updateBankDetails');
        Route::post('changePassword', 'UserController@changePassword');
        Route::post('transfer', 'UserController@transfer');
        Route::get('settings', 'UserController@settings');
        Route::get('notice', 'UserController@notice');
        Route::post('userInquiry', 'UserController@userInquiry');
        Route::get('slideBanner', 'UserController@slideBanner');
        Route::post('deleteUser', 'UserController@deleteUser');
        Route::get('mainsetting', 'UserController@mainsetting');
        

        Route::post('addFund', 'WalletController@addFund');
        Route::post('withdrawRequest', 'WalletController@withdrawRequest');
        Route::post('WalletsNumber', 'WalletController@WalletsNumber');
        Route::get('withdrawHistory', 'WalletController@withdrawHistory');
        Route::get('starlineResultChart', 'BidController@starlineResultChart');
        Route::get('transferUserList', 'WalletController@transferUserList');
        Route::get('getTransactionHistory', 'WalletController@getTransactionHistory');
        Route::get('getpaymentmethods', 'WalletController@getpaymentmethods');
        Route::post('withdraw', 'WalletController@withdraw');

    });

    Route::group(['middleware' => ['auth:sanctum']], function () {


    });

});
