<?php

use Illuminate\Support\Facades\Route;

$app = app();


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/downloadApk', 'Controller@downloadAPK')->name('downloadApk');
Route::get('/', 'Auth\LoginController@getSignin')->name('login');
Route::post('validateLogin', 'Auth\LoginController@validateLogin')->name('validateLogin');
Route::get('validateLogin', function () {
    return redirect()->route('dashboard');
});
Route::get('/logout', 'Auth\LoginController@getLogout')->name('logout');
Route::get('/privacy-policy', function () {
    return view('privacyPolicy');
})->name('privacy-policy');

Route::group(array('prefix' => 'admin', 'namespace' => 'Admin', 'middleware' => ['auth', 'role:admin']), function () {


    Route::get('dashboard', 'DashboardController@dashboard')->name('dashboard');
    Route::post('autoFundRequest', 'DashboardController@autoFundRequest')->name('autoFundRequest');
    Route::post('getMarketBid', 'DashboardController@getMarketBid')->name('getMarketBid');
    Route::post('getSearchMarketBid', 'DashboardController@getSearchMarketBid')->name('getSearchMarketBid');

    Route::get('users', 'UserController@users')->name('users');
    Route::post('usersList', 'UserController@usersList')->name('usersList');
    Route::get('unapprovedUsers', 'UserController@unapprovedUsers')->name('unapprovedUsers');
    Route::post('unapprovedUsersList', 'UserController@unapprovedUsersList')->name('unapprovedUsersList');
    Route::get('/{id}/userDetails', 'UserController@userDetails')->name('userDetails');
    Route::post('allTransactionTable', 'UserController@allTransactionTable')->name('allTransactionTable');
    Route::post('creditTransactionTable', 'UserController@creditTransactionTable')->name('creditTransactionTable');
    Route::post('debitTransactionTable', 'UserController@debitTransactionTable')->name('debitTransactionTable');
    Route::post('userBidHistoryTable', 'UserController@userBidHistoryTable')->name('userBidHistoryTable');
    Route::post('winningTable', 'UserController@winningTable')->name('winningTable');
    Route::post('changeSecurityPin', 'UserController@changeSecurityPin')->name('changeSecurityPin');
    Route::post('submitChangePassword', 'UserController@submitChangePassword')->name('submitChangePassword');
    Route::post('switchStatus', 'UserController@switchStatus')->name('switchStatus');

    Route::get('declareResult', 'DeclareController@declareResult')->name('declareResult');
    Route::post('getDecleareGame', 'DeclareController@getDecleareGame')->name('getDecleareGame');
    Route::post('getOpenData', 'DeclareController@getOpenData')->name('getOpenData');
    Route::post('getCloseData', 'DeclareController@getCloseData')->name('getCloseData');
    Route::post('saveOpenData', 'DeclareController@saveOpenData')->name('saveOpenData');
    Route::post('saveCloseData', 'DeclareController@saveCloseData')->name('saveCloseData');
    Route::post('declareOpenData', 'DeclareController@declareOpenData')->name('declareOpenData');
    Route::post('declareCloseData', 'DeclareController@declareCloseData')->name('declareCloseData');
    Route::post('resultHistoryList', 'DeclareController@resultHistoryList')->name('resultHistoryList');
    Route::post('getOpenWinnerList', 'DeclareController@getOpenWinnerList')->name('getOpenWinnerList');
    Route::post('deleteOpenResult', 'DeclareController@deleteOpenResult')->name('deleteOpenResult');
    Route::post('deleteCloseResult', 'DeclareController@deleteCloseResult')->name('deleteCloseResult');


    Route::get('starlineDeclareResult', 'DeclareController@starlineDeclareResult')->name('starlineDeclareResult');
    Route::post('starlineGetDecleareGame', 'DeclareController@starlineGetDecleareGame')->name('starlineGetDecleareGame');
    Route::post('starlineSaveOpenData', 'DeclareController@starlineSaveOpenData')->name('starlineSaveOpenData');
    Route::post('starlineDeclareOpenData', 'DeclareController@starlineDeclareOpenData')->name('starlineDeclareOpenData');
    Route::post('starlineResultHistoryList', 'DeclareController@starlineResultHistoryList')->name('starlineResultHistoryList');
    Route::post('starlineGetOpenWinnerList', 'DeclareController@starlineGetOpenWinnerList')->name('starlineGetOpenWinnerList');
    Route::post('starlineDeleteOpenResult', 'DeclareController@starlineDeleteOpenResult')->name('starlineDeleteOpenResult');

//Route::get('/declareResult', function () { return view('declareResult'); })->name('declareResult');

    Route::get('winingPrediction', 'BidController@winingPrediction')->name('winingPrediction');
    Route::post('checkOpenResult', 'BidController@checkOpenResult')->name('checkOpenResult');
    Route::post('getPredictWinner', 'BidController@getPredictWinner')->name('getPredictWinner');
    Route::get('{id}/editBid', 'BidController@editBid')->name('editBid');
    Route::post('updateBid', 'BidController@updateBid')->name('updateBid');

    Route::get('starlineWiningPrediction', 'BidController@starlineWiningPrediction')->name('starlineWiningPrediction');
    Route::post('starlineGetWiningPrediction', 'BidController@starlineGetWiningPrediction')->name('starlineGetWiningPrediction');

    Route::get('userbidHistory', 'ReportController@userbidHistory')->name('userbidHistory');
    Route::post('getBidHistory', 'ReportController@getBidHistory')->name('getBidHistory');
    Route::get('winingReport', 'ReportController@winingReport')->name('winingReport');
    Route::post('getWinningHistory', 'ReportController@getWinningHistory')->name('getWinningHistory');
    Route::get('customerSellReport', 'ReportController@customerSellReport')->name('customerSellReport');
    Route::post('getCustomerSellReport', 'ReportController@getCustomerSellReport')->name('getCustomerSellReport');
    Route::get('bidWinReport', 'ReportController@bidWinReport')->name('bidWinReport');
    Route::post('getBidWinningReport', 'ReportController@getBidWinningReport')->name('getBidWinningReport');
    Route::get('/transferPointReport', function () {
        return view('reports.transferPointReport');
    })->name('transferPointReport');
    Route::post('getTransferReport', 'ReportController@getTransferReport')->name('getTransferReport');
//Route::get('/withdrawReport', function () { return view('withdrawReport'); })->name('withdrawReport');
    Route::get('withdrawReport', 'ReportController@withdrawReport')->name('withdrawReport');
    Route::post('getWithdrawReport', 'ReportController@getWithdrawReport')->name('getWithdrawReport');
    Route::get('autoDepositHistory', 'ReportController@autoDepositHistory')->name('autoDepositHistory');
    Route::post('getAutoDeposite', 'ReportController@getAutoDeposite')->name('getAutoDeposite');


    Route::get('starlineUserBidHistory', 'ReportController@starlineBidHistory')->name('starlineUserBidHistory');
    Route::post('starlineGetBidHistory', 'ReportController@starlineGetBidHistory')->name('starlineGetBidHistory');
    Route::get('starlineResultHistory', 'ReportController@starlineResultHistory')->name('starlineResultHistory');
    Route::post('starlineGetResultHistory', 'ReportController@starlineGetResultHistory')->name('starlineGetResultHistory');
    Route::get('starlineSellReport', 'ReportController@starlineSellReport')->name('starlineSellReport');
    Route::post('starlineGetSellReport', 'ReportController@starlineGetSellReport')->name('starlineGetSellReport');
    Route::get('starlineWiningReport', 'ReportController@starlineWiningReport')->name('starlineWiningReport');
    Route::post('starlineGetWiningReport', 'ReportController@starlineGetWiningReport')->name('starlineGetWiningReport');


    Route::get('/fundRequest', function () {
        return view('wallet.fundRequest');
    })->name('fundRequest');
    Route::get('/withdrawRequest', function () {
        return view('wallet.withdrawRequest');
    })->name('withdrawRequest');
    Route::post('withdrawRequestList', 'WalletController@withdrawRequestList')->name('withdrawRequestList');
    Route::get('{id}/withdrawDetails', 'WalletController@withdrawDetails')->name('withdrawDetails');
    Route::post('approveWithdrawRequest', 'WalletController@approveWithdrawRequest')->name('approveWithdrawRequest');
    Route::post('rejectWithdrawRequest', 'WalletController@rejectWithdrawRequest')->name('rejectWithdrawRequest');
    Route::get('addFund', 'WalletController@addFund')->name('addFund');
    Route::post('userAddFund', 'WalletController@userAddFund')->name('userAddFund');
    Route::post('withdrawBalanceUser', 'WalletController@withdrawBalanceUser')->name('withdrawBalanceUser');
    Route::get('bidRevert', 'BidController@bidRevert')->name('bidRevert');
    Route::post('getBidRevert', 'BidController@getBidRevert')->name('getBidRevert');
    Route::post('refundAmount', 'BidController@refundAmount')->name('refundAmount');

    Route::post('acceptAutoFund', 'WalletController@acceptAutoFund')->name('acceptAutoFund');
    Route::post('rejectAutoFund', 'WalletController@rejectAutoFund')->name('rejectAutoFund');
    Route::post('deleteAutoFund', 'WalletController@deleteAutoFund')->name('deleteAutoFund');

    Route::get('gameName', 'GamesController@gameName')->name('gameName');
    Route::post('gamesList', 'GamesController@gamesList')->name('gamesList');
    Route::post('addGame', 'GamesController@addGame')->name('addGame');
    Route::get('{id}/editGame', 'GamesController@editGame')->name('editGame');
    Route::post('updateGame', 'GamesController@updateGame')->name('updateGame');
    Route::get('{id}/offDay', 'GamesController@offDay')->name('offDay');
    Route::post('addOffDay', 'GamesController@addOffDay')->name('addOffDay');

//-----startline games------//
    Route::get('starlineGameName', 'GamesController@starlineGameName')->name('starlineGameName');
    Route::post('starlineGamesList', 'GamesController@starlineGamesList')->name('starlineGamesList');
    Route::post('starlineAddGame', 'GamesController@starlineAddGame')->name('starlineAddGame');
    Route::get('{id}/starlineEditGame', 'GamesController@starlineEditGame')->name('starlineEditGame');
    Route::post('starlineUpdateGame', 'GamesController@starlineUpdateGame')->name('starlineUpdateGame');


    Route::get('starlineGameRates', 'GamesController@starlineGameRates')->name('starlineGameRates');
    Route::post('starlineAddGameRates', 'GamesController@starlineAddGameRates')->name('starlineAddGameRates');

    Route::get('gameRates', 'GamesController@gameRates')->name('gameRates');
    Route::post('addGameRates', 'GamesController@addGameRates')->name('addGameRates');
//Route::get('/gameRates', function () { return view('gameRates'); })->name('gameRates');

    Route::get('/singleDigit', function () {
        return view('numbers.singleDigit');
    })->name('singleDigit');
    Route::get('/jodiDigit', function () {
        return view('numbers.jodiDigit');
    })->name('jodiDigit');
    Route::get('/singlePana', function () {
        return view('numbers.singlePana');
    })->name('singlePana');
    Route::get('/doublePana', function () {
        return view('numbers.doublePana');
    })->name('doublePana');
    Route::get('/triplePana', function () {
        return view('numbers.triplePana');
    })->name('triplePana');
    Route::get('/halfSangam', function () {
        return view('numbers.halfSangam');
    })->name('halfSangam');
    Route::get('/fullSangam', function () {
        return view('numbers.fullSangam');
    })->name('fullSangam');

    Route::get('mainSetting', 'SettingController@mainSetting')->name('mainSetting');
    Route::post('addBankDetail', 'SettingController@addBankDetail')->name('addBankDetail');
    Route::post('addUpiDetail', 'SettingController@addUpiDetail')->name('addUpiDetail');
    Route::post('updateUpiDetail', 'SettingController@updateUpiDetail')->name('updateUpiDetail');
    Route::post('addAppLink', 'SettingController@addAppLink')->name('addAppLink');
    Route::post('addAppMaintainence', 'SettingController@addAppMaintainence')->name('addAppMaintainence');
    Route::post('addFixValues', 'SettingController@addFixValues')->name('addFixValues');

    Route::get('contactSetting', 'SettingController@contactSetting')->name('contactSetting');
    Route::post('addContactSettings', 'SettingController@addContactSettings')->name('addContactSettings');

    Route::get('/clearData', function () {
        return view('others.clearData');
    })->name('clearData');
    Route::get('slideImage', 'UserController@slideImage')->name('slideImage');
    Route::post('addSliderImage', 'UserController@addSliderImage')->name('addSliderImage');
    Route::post('sliderImagesList', 'UserController@sliderImagesList')->name('sliderImagesList');
    Route::post('deleteImage', 'UserController@deleteImage')->name('deleteImage');
    Route::get('howToPlay', 'UserController@howToPlay')->name('howToPlay');
    Route::post('addHowtoPlay', 'UserController@addHowtoPlay')->name('addHowtoPlay');
    Route::post('openCloseMarket', 'UserController@openCloseMarket')->name('openCloseMarket');
    Route::get('noticeManagement', 'UserController@noticeManagement')->name('noticeManagement');
    Route::post('noticeList', 'UserController@noticeList')->name('noticeList');
    Route::post('addNotice', 'UserController@addNotice')->name('addNotice');
    Route::get('sendNotification', 'UserController@sendNotification')->name('sendNotification');
    Route::post('userSendNotification', 'UserController@userSendNotification')->name('userSendNotification');

//Route::get('/starlineGameName', function () { return view('starline.starlineGameName'); })->name('starlineGameName');
//Route::get('/starlineGameRate', function () { return view('starline.starlineGameRate'); })->name('startlineGameRate');
//Route::get('/starlineBidHistory', function () { return view('starline.starlineBidHistory'); })->name('startlineBidHistory');
//Route::get('/starlineDeclareResult', function () { return view('starline.starlineDeclareResult'); })->name('starlineDeclareResult');
    Route::get('/starlineResultHistory', function () {
        return view('starline.starlineResultHistory');
    })->name('starlineResultHistory');
//Route::get('/starlineSellReport', function () { return view('starline.starlineSellReport'); })->name('starlineSellReport');
//Route::get('/starlineWiningReport', function () { return view('starline.starlineWiningReport'); })->name('starlineWiningReport');
//Route::get('/starlineWiningPrediction', function () { return view('starline.starlineWiningPrediction'); })->name('starlineWiningPrediction');

//Route::get('/usersQuery', function () { return view('users.usersQuery'); })->name('usersQuery');
    Route::post('userQueryList', 'UserController@userQueryList')->name('userQueryList');
    Route::get('userQuery', 'UserController@userQuery')->name('userQuery');
    Route::get('subAdmin', 'UserController@subAdmin')->name('subAdmin');
    Route::post('subAdminList', 'UserController@subAdminList')->name('subAdminList');
    Route::post('addSubAdmin', 'UserController@addSubAdmin')->name('addSubAdmin');

    Route::get('/adminchangePassword', function () {
        return view('users.changePassword');
    })->name('adminchangePassword');


});


Route::get('/login', 'Auth\LoginController@userSignin')->name('userlogin');
Route::post('checkClientLogin', 'Auth\LoginController@checkClientLogin')->name('checkClientLogin');
Route::post('validateClientLogin', 'Auth\LoginController@validateClientLogin')->name('validateClientLogin');
Route::get('/userlogout', 'Auth\LoginController@userlogout')->name('userlogout');
Route::get('/register', function () {
    return view('userPanel.auth.register');
})->name('register');
Route::post('submitRegister', 'Auth\LoginController@submitRegister')->name('submitRegister');
Route::get('/forgotPassword', function () {
    return view('userPanel.auth.forgotPassword');
})->name('forgotPassword');

Route::group(array('namespace' => 'Client', 'middleware' => ['auth', 'role:client']), function () {

    Route::get('userdashboard', 'DashboardController@userdashboard')->name('userdashboard');
    Route::get('starlineGameList', 'DashboardController@starlineGameList')->name('starlineGameList');
    Route::get('{id}/gameType', 'DashboardController@gameType')->name('gameType');
    Route::get('{id}/starlineGameType', 'DashboardController@starlineGameType')->name('starlineGameType');
    Route::get('{id}/bid/{type}', 'DashboardController@bid')->name('bid');
    Route::get('{id}/starlineBid/{type}', 'DashboardController@starlineBid')->name('starlineBid');
    Route::post('bidProccess', 'DashboardController@bidProccess')->name('bidProccess');
    Route::post('starlineBidProccess', 'DashboardController@starlineBidProccess')->name('starlineBidProccess');
    Route::post('removeBid', 'DashboardController@removeBid')->name('removeBid');
    Route::post('createBid', 'DashboardController@createBid')->name('createBid');
    Route::post('starlineCreateBid', 'DashboardController@starlineCreateBid')->name('starlineCreateBid');
    Route::get('bidHistory', 'DashboardController@bidHistory')->name('bidHistory');
    Route::get('winHistory', 'DashboardController@winHistory')->name('winHistory');
    Route::get('starlineBidHistory', 'DashboardController@starlineBidHistory')->name('starlineBidHistory');
    Route::get('starlineWinHistory', 'DashboardController@starlineWinHistory')->name('starlineWinHistory');
    Route::post('getBidHistory', 'DashboardController@getBidHistory')->name('getBidHistory');
    Route::post('getWinHistory', 'DashboardController@getWinHistory')->name('getWinHistory');
    Route::post('starlineGetBidHistory', 'DashboardController@starlineGetBidHistory')->name('starlineGetBidHistory');
    Route::post('starlineGetWinHistory', 'DashboardController@starlineGetWinHistory')->name('starlineGetWinHistory');
    Route::get('wallet', 'DashboardController@wallet')->name('wallet');
    Route::get('userProfile', 'DashboardController@userProfile')->name('userProfile');
    Route::post('updateProfile', 'DashboardController@updateProfile')->name('updateProfile');
    Route::get('rate', 'DashboardController@rate')->name('rate');
    Route::get('starlineRate', 'DashboardController@starlineRate')->name('starlineRate');
    Route::get('gameTypeList', 'DashboardController@gameTypeList')->name('gameTypeList');
    Route::get('contactus', 'DashboardController@contactus')->name('contactus');
    Route::get('changePassword', 'DashboardController@changePassword')->name('changePassword');
    Route::post('submitChangePassword', 'DashboardController@submitChangePassword')->name('submitChangePassword');
    Route::post('addNumber', 'DashboardController@addNumber')->name('addNumber');
    Route::post('transfer', 'DashboardController@transfer')->name('transfer');
    Route::post('withdrawTiming', 'DashboardController@withdrawTiming')->name('withdrawTiming');
    Route::post('withdraw', 'DashboardController@withdraw')->name('withdraw');


});




